Critical Clause¶
Critical Clause - Get Critical Clause¶
HTTP Request
GET /api/critical-clauses/{id}
📋 Description: Retrieves detailed information about a specific critical clause within the Nakisa Portfolio Management Suite, enabling users to analyze key contractual elements related to portfolio and asset management in real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "rentTypeId": 0,
10 "increaseTypeId": 0,
11 "exercisedId": 0,
12 "exerciseMethodId": 0,
13 "parentId": 0,
14 "pageNumber": "string",
15 "section": "string",
16 "rentOrCost": 0,
17 "noticeNumberOfDays": 0,
18 "startDate": "2019-08-24",
19 "endDate": "2019-08-24",
20 "earlyNotice": "2019-08-24",
21 "latestNotice": "2019-08-24",
22 "notificationDate": "2019-08-24",
23 "exerciseMethod": {
24 "createdBy": "string",
25 "lastModifiedBy": "string",
26 "createdDate": "2019-08-24T14:15:22Z",
27 "lastModifiedDate": "2019-08-24T14:15:22Z",
28 "archived": true,
29 "externalId": "string",
30 "id": 0,
31 "priority": 0,
32 "internalId": 0,
33 "pickListCode": "string",
34 "pickListLabel": "string",
35 "label": "string",
36 "cultureId": 0,
37 "labelDtos": [
38 {
39 "createdBy": "string",
40 "lastModifiedBy": "string",
41 "createdDate": "2019-08-24T14:15:22Z",
42 "lastModifiedDate": "2019-08-24T14:15:22Z",
43 "archived": true,
44 "externalId": "string",
45 "id": 0,
46 "cultureId": 0,
47 "value": "string"
48 }
49 ]
50 },
51 "rentType": {
52 "createdBy": "string",
53 "lastModifiedBy": "string",
54 "createdDate": "2019-08-24T14:15:22Z",
55 "lastModifiedDate": "2019-08-24T14:15:22Z",
56 "archived": true,
57 "externalId": "string",
58 "id": 0,
59 "priority": 0,
60 "internalId": 0,
61 "pickListCode": "string",
62 "pickListLabel": "string",
63 "label": "string",
64 "cultureId": 0,
65 "labelDtos": [
66 {
67 "createdBy": "string",
68 "lastModifiedBy": "string",
69 "createdDate": "2019-08-24T14:15:22Z",
70 "lastModifiedDate": "2019-08-24T14:15:22Z",
71 "archived": true,
72 "externalId": "string",
73 "id": 0,
74 "cultureId": 0,
75 "value": "string"
76 }
77 ]
78 },
79 "increaseType": {
80 "createdBy": "string",
81 "lastModifiedBy": "string",
82 "createdDate": "2019-08-24T14:15:22Z",
83 "lastModifiedDate": "2019-08-24T14:15:22Z",
84 "archived": true,
85 "externalId": "string",
86 "id": 0,
87 "priority": 0,
88 "internalId": 0,
89 "pickListCode": "string",
90 "pickListLabel": "string",
91 "label": "string",
92 "cultureId": 0,
93 "labelDtos": [
94 {
95 "createdBy": "string",
96 "lastModifiedBy": "string",
97 "createdDate": "2019-08-24T14:15:22Z",
98 "lastModifiedDate": "2019-08-24T14:15:22Z",
99 "archived": true,
100 "externalId": "string",
101 "id": 0,
102 "cultureId": 0,
103 "value": "string"
104 }
105 ]
106 },
107 "exercised": {
108 "createdBy": "string",
109 "lastModifiedBy": "string",
110 "createdDate": "2019-08-24T14:15:22Z",
111 "lastModifiedDate": "2019-08-24T14:15:22Z",
112 "archived": true,
113 "externalId": "string",
114 "id": 0,
115 "priority": 0,
116 "internalId": 0,
117 "pickListCode": "string",
118 "pickListLabel": "string",
119 "label": "string",
120 "cultureId": 0,
121 "labelDtos": [
122 {
123 "createdBy": "string",
124 "lastModifiedBy": "string",
125 "createdDate": "2019-08-24T14:15:22Z",
126 "lastModifiedDate": "2019-08-24T14:15:22Z",
127 "archived": true,
128 "externalId": "string",
129 "id": 0,
130 "cultureId": 0,
131 "value": "string"
132 }
133 ]
134 },
135 "leaseCriticalClauseTypeId": 0,
136 "leaseCriticalClauseTypeDto": {
137 "createdBy": "string",
138 "lastModifiedBy": "string",
139 "createdDate": "2019-08-24T14:15:22Z",
140 "lastModifiedDate": "2019-08-24T14:15:22Z",
141 "archived": true,
142 "externalId": "string",
143 "id": 0,
144 "typeId": 0,
145 "notApplicable": true,
146 "type": {
147 "createdBy": "string",
148 "lastModifiedBy": "string",
149 "createdDate": "2019-08-24T14:15:22Z",
150 "lastModifiedDate": "2019-08-24T14:15:22Z",
151 "archived": true,
152 "externalId": "string",
153 "id": 0,
154 "priority": 0,
155 "internalId": 0,
156 "pickListCode": "string",
157 "pickListLabel": "string",
158 "label": "string",
159 "cultureId": 0,
160 "labelDtos": [
161 {
162 "createdBy": "string",
163 "lastModifiedBy": "string",
164 "createdDate": "2019-08-24T14:15:22Z",
165 "lastModifiedDate": "2019-08-24T14:15:22Z",
166 "archived": true,
167 "externalId": "string",
168 "id": 0,
169 "cultureId": 0,
170 "value": "string"
171 }
172 ]
173 },
174 "leaseId": 0,
175 "leaseDto": {
176 "createdBy": "string",
177 "lastModifiedBy": "string",
178 "createdDate": "2019-08-24T14:15:22Z",
179 "lastModifiedDate": "2019-08-24T14:15:22Z",
180 "archived": true,
181 "externalId": "string",
182 "id": 0,
183 "typeId": 0,
184 "terminatingLease": "2019-08-24",
185 "maximumDateTo": "2019-08-24",
186 "number": "string",
187 "validFrom": "2019-08-24",
188 "validTo": "2019-08-24",
189 "categoryId": 0,
190 "registrationNumber": "string",
191 "statusId": 0,
192 "stateId": 0,
193 "calculateTax": true,
194 "autoMonthToMonth": true,
195 "originalLeaseId": 0,
196 "scenario": true,
197 "parentLeaseId": 0,
198 "areasHistoryVersionId": 0,
199 "provisioningFrequencyName": "string",
200 "accountingApproved": true,
201 "indexationType": "string",
202 "cpiGlobalCategoryId": 0,
203 "indexationReferenceDate": "2019-08-24",
204 "currentIndexLevel": 0.1,
205 "conditionallyIndexed": true,
206 "applicableCurrentIndexLevel": 0.1,
207 "indexLevelPercentageChangeLowerBound": 0.1,
208 "indexLevelPercentageChangeUpperBound": 0.1,
209 "indexationTypeNonLease": "string",
210 "cpiGlobalCategoryIdNonLease": 0,
211 "indexationReferenceDateNonLease": "2019-08-24",
212 "currentIndexLevelNonLease": 0.1,
213 "conditionallyIndexedNonLease": true,
214 "applicableCurrentIndexLevelNonLease": 0.1,
215 "indexLevelPercentageChangeLowerBoundNonLease": 0.1,
216 "indexLevelPercentageChangeUpperBoundNonLease": 0.1,
217 "signatureDate": "2019-08-24",
218 "premiseId": 0,
219 "type": {
220 "createdBy": "string",
221 "lastModifiedBy": "string",
222 "createdDate": "2019-08-24T14:15:22Z",
223 "lastModifiedDate": "2019-08-24T14:15:22Z",
224 "archived": true,
225 "externalId": "string",
226 "id": 0,
227 "priority": 0,
228 "internalId": 0,
229 "pickListCode": "string",
230 "pickListLabel": "string",
231 "label": "string",
232 "cultureId": 0,
233 "labelDtos": [
234 {
235 "createdBy": "string",
236 "lastModifiedBy": "string",
237 "createdDate": "2019-08-24T14:15:22Z",
238 "lastModifiedDate": "2019-08-24T14:15:22Z",
239 "archived": true,
240 "externalId": "string",
241 "id": 0,
242 "cultureId": 0,
243 "value": "string"
244 }
245 ]
246 },
247 "category": {
248 "createdBy": "string",
249 "lastModifiedBy": "string",
250 "createdDate": "2019-08-24T14:15:22Z",
251 "lastModifiedDate": "2019-08-24T14:15:22Z",
252 "archived": true,
253 "externalId": "string",
254 "id": 0,
255 "priority": 0,
256 "internalId": 0,
257 "pickListCode": "string",
258 "pickListLabel": "string",
259 "label": "string",
260 "cultureId": 0,
261 "labelDtos": [
262 {
263 "createdBy": "string",
264 "lastModifiedBy": "string",
265 "createdDate": "2019-08-24T14:15:22Z",
266 "lastModifiedDate": "2019-08-24T14:15:22Z",
267 "archived": true,
268 "externalId": "string",
269 "id": 0,
270 "cultureId": 0,
271 "value": "string"
272 }
273 ]
274 },
275 "status": {
276 "createdBy": "string",
277 "lastModifiedBy": "string",
278 "createdDate": "2019-08-24T14:15:22Z",
279 "lastModifiedDate": "2019-08-24T14:15:22Z",
280 "archived": true,
281 "externalId": "string",
282 "id": 0,
283 "priority": 0,
284 "internalId": 0,
285 "pickListCode": "string",
286 "pickListLabel": "string",
287 "label": "string",
288 "cultureId": 0,
289 "labelDtos": [
290 {
291 "createdBy": "string",
292 "lastModifiedBy": "string",
293 "createdDate": "2019-08-24T14:15:22Z",
294 "lastModifiedDate": "2019-08-24T14:15:22Z",
295 "archived": true,
296 "externalId": "string",
297 "id": 0,
298 "cultureId": 0,
299 "value": "string"
300 }
301 ]
302 },
303 "state": {
304 "createdBy": "string",
305 "lastModifiedBy": "string",
306 "createdDate": "2019-08-24T14:15:22Z",
307 "lastModifiedDate": "2019-08-24T14:15:22Z",
308 "archived": true,
309 "externalId": "string",
310 "id": 0,
311 "priority": 0,
312 "internalId": 0,
313 "pickListCode": "string",
314 "pickListLabel": "string",
315 "label": "string",
316 "cultureId": 0,
317 "labelDtos": [
318 {
319 "createdBy": "string",
320 "lastModifiedBy": "string",
321 "createdDate": "2019-08-24T14:15:22Z",
322 "lastModifiedDate": "2019-08-24T14:15:22Z",
323 "archived": true,
324 "externalId": "string",
325 "id": 0,
326 "cultureId": 0,
327 "value": "string"
328 }
329 ]
330 },
331 "version": {
332 "createdBy": "string",
333 "lastModifiedBy": "string",
334 "createdDate": "2019-08-24T14:15:22Z",
335 "lastModifiedDate": "2019-08-24T14:15:22Z",
336 "archived": true,
337 "externalId": "string",
338 "id": 0,
339 "name": "string",
340 "description": "string",
341 "modificationDate": "2019-08-24",
342 "updateContractRate": true,
343 "leaseEvent": {
344 "createdBy": "string",
345 "lastModifiedBy": "string",
346 "createdDate": "2019-08-24T14:15:22Z",
347 "lastModifiedDate": "2019-08-24T14:15:22Z",
348 "archived": true,
349 "externalId": "string",
350 "id": 0,
351 "typeId": 0,
352 "code": "string",
353 "reviewedBy": "string",
354 "reviewedDate": "2019-08-24",
355 "reviewedStatusId": 0,
356 "activityDate": "2019-08-24",
357 "relatedPickListOptionId": 0,
358 "detail": "string",
359 "note": {
360 "createdBy": "string",
361 "lastModifiedBy": "string",
362 "createdDate": "2019-08-24T14:15:22Z",
363 "lastModifiedDate": "2019-08-24T14:15:22Z",
364 "archived": true,
365 "externalId": "string",
366 "id": 0,
367 "message": "string",
368 "preserveOriginalAudit": true,
369 "originalCreatedBy": "string",
370 "originalCreatedDate": "2019-08-24T14:15:22Z",
371 "originalLastModifiedBy": "string",
372 "originalLastModifiedDate": "2019-08-24T14:15:22Z"
373 },
374 "type": {
375 "createdBy": "string",
376 "lastModifiedBy": "string",
377 "createdDate": "2019-08-24T14:15:22Z",
378 "lastModifiedDate": "2019-08-24T14:15:22Z",
379 "archived": true,
380 "externalId": "string",
381 "id": 0,
382 "priority": 0,
383 "internalId": 0,
384 "pickListCode": "string",
385 "pickListLabel": "string",
386 "label": "string",
387 "cultureId": 0,
388 "labelDtos": [
389 {
390 "createdBy": "string",
391 "lastModifiedBy": "string",
392 "createdDate": "2019-08-24T14:15:22Z",
393 "lastModifiedDate": "2019-08-24T14:15:22Z",
394 "archived": true,
395 "externalId": "string",
396 "id": 0,
397 "cultureId": 0,
398 "value": "string"
399 }
400 ]
401 },
402 "reviewedStatus": {
403 "createdBy": "string",
404 "lastModifiedBy": "string",
405 "createdDate": "2019-08-24T14:15:22Z",
406 "lastModifiedDate": "2019-08-24T14:15:22Z",
407 "archived": true,
408 "externalId": "string",
409 "id": 0,
410 "priority": 0,
411 "internalId": 0,
412 "pickListCode": "string",
413 "pickListLabel": "string",
414 "label": "string",
415 "cultureId": 0,
416 "labelDtos": [
417 {
418 "createdBy": "string",
419 "lastModifiedBy": "string",
420 "createdDate": "2019-08-24T14:15:22Z",
421 "lastModifiedDate": "2019-08-24T14:15:22Z",
422 "archived": true,
423 "externalId": "string",
424 "id": 0,
425 "cultureId": 0,
426 "value": "string"
427 }
428 ]
429 },
430 "relatedPickListOption": {
431 "createdBy": "string",
432 "lastModifiedBy": "string",
433 "createdDate": "2019-08-24T14:15:22Z",
434 "lastModifiedDate": "2019-08-24T14:15:22Z",
435 "archived": true,
436 "externalId": "string",
437 "id": 0,
438 "priority": 0,
439 "internalId": 0,
440 "pickListCode": "string",
441 "pickListLabel": "string",
442 "label": "string",
443 "cultureId": 0,
444 "labelDtos": [
445 {
446 "createdBy": "string",
447 "lastModifiedBy": "string",
448 "createdDate": "2019-08-24T14:15:22Z",
449 "lastModifiedDate": "2019-08-24T14:15:22Z",
450 "archived": true,
451 "externalId": "string",
452 "id": 0,
453 "cultureId": 0,
454 "value": "string"
455 }
456 ]
457 },
458 "isVisiblePartnerPortal": true
459 },
460 "isVisibleVendorPortal": true,
461 "isTerminationVersion": true,
462 "terminationDate": "2019-08-24",
463 "penaltyAmount": 0.1,
464 "areasHistoryVersionId": 0
465 },
466 "premiseDto": {
467 "createdBy": "string",
468 "lastModifiedBy": "string",
469 "createdDate": "2019-08-24T14:15:22Z",
470 "lastModifiedDate": "2019-08-24T14:15:22Z",
471 "archived": true,
472 "externalId": "string",
473 "id": 0,
474 "number": "string",
475 "name": "string",
476 "headPremise": true,
477 "possessionDate": "2019-08-24",
478 "openingDate": "2019-08-24",
479 "closingDate": "2019-08-24",
480 "relocationDate": "2019-08-24",
481 "vacatingDate": "2019-08-24",
482 "expansionDate": "2019-08-24",
483 "statusId": 0,
484 "usageId": 0,
485 "parentPremiseId": 0,
486 "costCenterId": 0,
487 "profitCenterId": 0,
488 "legalEntityId": 0,
489 "occupancyIds": [
490 0
491 ],
492 "locationId": 0,
493 "locationDto": {
494 "createdBy": "string",
495 "lastModifiedBy": "string",
496 "createdDate": "2019-08-24T14:15:22Z",
497 "lastModifiedDate": "2019-08-24T14:15:22Z",
498 "archived": true,
499 "externalId": "string",
500 "id": 0,
501 "number": "string",
502 "name": "string",
503 "storeNumber": "string",
504 "defaultCurrencyId": 0,
505 "defaultMeasureId": 0,
506 "typeId": 0,
507 "qualityId": 0,
508 "propertyTypeId": 0,
509 "categoryId": 0,
510 "statusId": 0,
511 "businessUnitId": 0,
512 "groupIds": [
513 0
514 ],
515 "legalEntityIds": [
516 0
517 ],
518 "defaultCurrency": {
519 "id": 0,
520 "status": "CREATED",
521 "displayId": "string",
522 "erpSystemId": 0,
523 "erpSystemDisplayId": "string",
524 "name": "string",
525 "decimalPoints": 0,
526 "depreciationAreaId": 0
527 },
528 "defaultUnitValue": {
529 "createdBy": "string",
530 "lastModifiedBy": "string",
531 "createdDate": "2019-08-24T14:15:22Z",
532 "lastModifiedDate": "2019-08-24T14:15:22Z",
533 "archived": true,
534 "externalId": "string",
535 "id": 0,
536 "unitId": 0,
537 "unitOfMeasureId": 0,
538 "erpSystemId": 0,
539 "unit": {
540 "createdBy": "string",
541 "lastModifiedBy": "string",
542 "createdDate": "2019-08-24T14:15:22Z",
543 "lastModifiedDate": "2019-08-24T14:15:22Z",
544 "archived": true,
545 "externalId": "string",
546 "id": 0,
547 "priority": 0,
548 "internalId": 0,
549 "pickListCode": "string",
550 "pickListLabel": "string",
551 "label": "string",
552 "cultureId": 0,
553 "labelDtos": [
554 {
555 "createdBy": "string",
556 "lastModifiedBy": "string",
557 "createdDate": "2019-08-24T14:15:22Z",
558 "lastModifiedDate": "2019-08-24T14:15:22Z",
559 "archived": true,
560 "externalId": "string",
561 "id": 0,
562 "cultureId": 0,
563 "value": "string"
564 }
565 ]
566 },
567 "unitOfMeasure": {
568 "id": 0,
569 "status": "CREATED",
570 "displayId": "string",
571 "erpSystemId": 0,
572 "erpSystemDisplayId": "string",
573 "name": "string"
574 }
575 },
576 "type": {
577 "createdBy": "string",
578 "lastModifiedBy": "string",
579 "createdDate": "2019-08-24T14:15:22Z",
580 "lastModifiedDate": "2019-08-24T14:15:22Z",
581 "archived": true,
582 "externalId": "string",
583 "id": 0,
584 "priority": 0,
585 "internalId": 0,
586 "pickListCode": "string",
587 "pickListLabel": "string",
588 "label": "string",
589 "cultureId": 0,
590 "labelDtos": [
591 {
592 "createdBy": "string",
593 "lastModifiedBy": "string",
594 "createdDate": "2019-08-24T14:15:22Z",
595 "lastModifiedDate": "2019-08-24T14:15:22Z",
596 "archived": true,
597 "externalId": "string",
598 "id": 0,
599 "cultureId": 0,
600 "value": "string"
601 }
602 ]
603 },
604 "quality": {
605 "createdBy": "string",
606 "lastModifiedBy": "string",
607 "createdDate": "2019-08-24T14:15:22Z",
608 "lastModifiedDate": "2019-08-24T14:15:22Z",
609 "archived": true,
610 "externalId": "string",
611 "id": 0,
612 "priority": 0,
613 "internalId": 0,
614 "pickListCode": "string",
615 "pickListLabel": "string",
616 "label": "string",
617 "cultureId": 0,
618 "labelDtos": [
619 {
620 "createdBy": "string",
621 "lastModifiedBy": "string",
622 "createdDate": "2019-08-24T14:15:22Z",
623 "lastModifiedDate": "2019-08-24T14:15:22Z",
624 "archived": true,
625 "externalId": "string",
626 "id": 0,
627 "cultureId": 0,
628 "value": "string"
629 }
630 ]
631 },
632 "propertyType": {
633 "createdBy": "string",
634 "lastModifiedBy": "string",
635 "createdDate": "2019-08-24T14:15:22Z",
636 "lastModifiedDate": "2019-08-24T14:15:22Z",
637 "archived": true,
638 "externalId": "string",
639 "id": 0,
640 "priority": 0,
641 "internalId": 0,
642 "pickListCode": "string",
643 "pickListLabel": "string",
644 "label": "string",
645 "cultureId": 0,
646 "labelDtos": [
647 {
648 "createdBy": "string",
649 "lastModifiedBy": "string",
650 "createdDate": "2019-08-24T14:15:22Z",
651 "lastModifiedDate": "2019-08-24T14:15:22Z",
652 "archived": true,
653 "externalId": "string",
654 "id": 0,
655 "cultureId": 0,
656 "value": "string"
657 }
658 ]
659 },
660 "category": {
661 "createdBy": "string",
662 "lastModifiedBy": "string",
663 "createdDate": "2019-08-24T14:15:22Z",
664 "lastModifiedDate": "2019-08-24T14:15:22Z",
665 "archived": true,
666 "externalId": "string",
667 "id": 0,
668 "priority": 0,
669 "internalId": 0,
670 "pickListCode": "string",
671 "pickListLabel": "string",
672 "label": "string",
673 "cultureId": 0,
674 "labelDtos": [
675 {
676 "createdBy": "string",
677 "lastModifiedBy": "string",
678 "createdDate": "2019-08-24T14:15:22Z",
679 "lastModifiedDate": "2019-08-24T14:15:22Z",
680 "archived": true,
681 "externalId": "string",
682 "id": 0,
683 "cultureId": 0,
684 "value": "string"
685 }
686 ]
687 },
688 "status": {
689 "createdBy": "string",
690 "lastModifiedBy": "string",
691 "createdDate": "2019-08-24T14:15:22Z",
692 "lastModifiedDate": "2019-08-24T14:15:22Z",
693 "archived": true,
694 "externalId": "string",
695 "id": 0,
696 "priority": 0,
697 "internalId": 0,
698 "pickListCode": "string",
699 "pickListLabel": "string",
700 "label": "string",
701 "cultureId": 0,
702 "labelDtos": [
703 {
704 "createdBy": "string",
705 "lastModifiedBy": "string",
706 "createdDate": "2019-08-24T14:15:22Z",
707 "lastModifiedDate": "2019-08-24T14:15:22Z",
708 "archived": true,
709 "externalId": "string",
710 "id": 0,
711 "cultureId": 0,
712 "value": "string"
713 }
714 ]
715 },
716 "addressDto": {
717 "createdBy": "string",
718 "lastModifiedBy": "string",
719 "createdDate": "2019-08-24T14:15:22Z",
720 "lastModifiedDate": "2019-08-24T14:15:22Z",
721 "archived": true,
722 "externalId": "string",
723 "id": 0,
724 "street": "string",
725 "civicNumber": "string",
726 "suite": "string",
727 "postalCode": "string",
728 "lon": 0.1,
729 "lat": 0.1,
730 "city": {
731 "createdBy": "string",
732 "lastModifiedBy": "string",
733 "createdDate": "2019-08-24T14:15:22Z",
734 "lastModifiedDate": "2019-08-24T14:15:22Z",
735 "archived": true,
736 "externalId": "string",
737 "id": 0,
738 "name": "string",
739 "province": {
740 "createdBy": "string",
741 "lastModifiedBy": "string",
742 "createdDate": "2019-08-24T14:15:22Z",
743 "lastModifiedDate": "2019-08-24T14:15:22Z",
744 "archived": true,
745 "externalId": "string",
746 "id": 0,
747 "name": "string",
748 "code": "string",
749 "country": {
750 "createdBy": "string",
751 "lastModifiedBy": "string",
752 "createdDate": "2019-08-24T14:15:22Z",
753 "lastModifiedDate": "2019-08-24T14:15:22Z",
754 "archived": true,
755 "externalId": "string",
756 "id": 0,
757 "name": "string",
758 "code": "string"
759 },
760 "provinceCountryKey": "string"
761 },
762 "cityProvinceCountryKey": "string"
763 },
764 "district": {
765 "createdBy": "string",
766 "lastModifiedBy": "string",
767 "createdDate": "2019-08-24T14:15:22Z",
768 "lastModifiedDate": "2019-08-24T14:15:22Z",
769 "archived": true,
770 "externalId": "string",
771 "id": 0,
772 "name": "string",
773 "city": {
774 "createdBy": "string",
775 "lastModifiedBy": "string",
776 "createdDate": "2019-08-24T14:15:22Z",
777 "lastModifiedDate": "2019-08-24T14:15:22Z",
778 "archived": true,
779 "externalId": "string",
780 "id": 0,
781 "name": "string",
782 "province": {
783 "createdBy": "string",
784 "lastModifiedBy": "string",
785 "createdDate": "2019-08-24T14:15:22Z",
786 "lastModifiedDate": "2019-08-24T14:15:22Z",
787 "archived": true,
788 "externalId": "string",
789 "id": 0,
790 "name": "string",
791 "code": "string",
792 "country": {
793 "createdBy": "string",
794 "lastModifiedBy": "string",
795 "createdDate": "2019-08-24T14:15:22Z",
796 "lastModifiedDate": "2019-08-24T14:15:22Z",
797 "archived": true,
798 "externalId": "string",
799 "id": 0,
800 "name": "string",
801 "code": "string"
802 },
803 "provinceCountryKey": "string"
804 },
805 "cityProvinceCountryKey": "string"
806 }
807 },
808 "cityId": 0,
809 "districtId": 0
810 },
811 "secondAddressDto": {
812 "createdBy": "string",
813 "lastModifiedBy": "string",
814 "createdDate": "2019-08-24T14:15:22Z",
815 "lastModifiedDate": "2019-08-24T14:15:22Z",
816 "archived": true,
817 "externalId": "string",
818 "id": 0,
819 "street": "string",
820 "civicNumber": "string",
821 "suite": "string",
822 "postalCode": "string",
823 "lon": 0.1,
824 "lat": 0.1,
825 "city": {
826 "createdBy": "string",
827 "lastModifiedBy": "string",
828 "createdDate": "2019-08-24T14:15:22Z",
829 "lastModifiedDate": "2019-08-24T14:15:22Z",
830 "archived": true,
831 "externalId": "string",
832 "id": 0,
833 "name": "string",
834 "province": {
835 "createdBy": "string",
836 "lastModifiedBy": "string",
837 "createdDate": "2019-08-24T14:15:22Z",
838 "lastModifiedDate": "2019-08-24T14:15:22Z",
839 "archived": true,
840 "externalId": "string",
841 "id": 0,
842 "name": "string",
843 "code": "string",
844 "country": {
845 "createdBy": "string",
846 "lastModifiedBy": "string",
847 "createdDate": "2019-08-24T14:15:22Z",
848 "lastModifiedDate": "2019-08-24T14:15:22Z",
849 "archived": true,
850 "externalId": "string",
851 "id": 0,
852 "name": "string",
853 "code": "string"
854 },
855 "provinceCountryKey": "string"
856 },
857 "cityProvinceCountryKey": "string"
858 },
859 "district": {
860 "createdBy": "string",
861 "lastModifiedBy": "string",
862 "createdDate": "2019-08-24T14:15:22Z",
863 "lastModifiedDate": "2019-08-24T14:15:22Z",
864 "archived": true,
865 "externalId": "string",
866 "id": 0,
867 "name": "string",
868 "city": {
869 "createdBy": "string",
870 "lastModifiedBy": "string",
871 "createdDate": "2019-08-24T14:15:22Z",
872 "lastModifiedDate": "2019-08-24T14:15:22Z",
873 "archived": true,
874 "externalId": "string",
875 "id": 0,
876 "name": "string",
877 "province": {
878 "createdBy": "string",
879 "lastModifiedBy": "string",
880 "createdDate": "2019-08-24T14:15:22Z",
881 "lastModifiedDate": "2019-08-24T14:15:22Z",
882 "archived": true,
883 "externalId": "string",
884 "id": 0,
885 "name": "string",
886 "code": "string",
887 "country": {
888 "createdBy": "string",
889 "lastModifiedBy": "string",
890 "createdDate": "2019-08-24T14:15:22Z",
891 "lastModifiedDate": "2019-08-24T14:15:22Z",
892 "archived": true,
893 "externalId": "string",
894 "id": 0,
895 "name": "string",
896 "code": "string"
897 },
898 "provinceCountryKey": "string"
899 },
900 "cityProvinceCountryKey": "string"
901 }
902 },
903 "cityId": 0,
904 "districtId": 0
905 }
906 },
907 "status": {
908 "createdBy": "string",
909 "lastModifiedBy": "string",
910 "createdDate": "2019-08-24T14:15:22Z",
911 "lastModifiedDate": "2019-08-24T14:15:22Z",
912 "archived": true,
913 "externalId": "string",
914 "id": 0,
915 "priority": 0,
916 "internalId": 0,
917 "pickListCode": "string",
918 "pickListLabel": "string",
919 "label": "string",
920 "cultureId": 0,
921 "labelDtos": [
922 {
923 "createdBy": "string",
924 "lastModifiedBy": "string",
925 "createdDate": "2019-08-24T14:15:22Z",
926 "lastModifiedDate": "2019-08-24T14:15:22Z",
927 "archived": true,
928 "externalId": "string",
929 "id": 0,
930 "cultureId": 0,
931 "value": "string"
932 }
933 ]
934 },
935 "usage": {
936 "createdBy": "string",
937 "lastModifiedBy": "string",
938 "createdDate": "2019-08-24T14:15:22Z",
939 "lastModifiedDate": "2019-08-24T14:15:22Z",
940 "archived": true,
941 "externalId": "string",
942 "id": 0,
943 "priority": 0,
944 "internalId": 0,
945 "pickListCode": "string",
946 "pickListLabel": "string",
947 "label": "string",
948 "cultureId": 0,
949 "labelDtos": [
950 {
951 "createdBy": "string",
952 "lastModifiedBy": "string",
953 "createdDate": "2019-08-24T14:15:22Z",
954 "lastModifiedDate": "2019-08-24T14:15:22Z",
955 "archived": true,
956 "externalId": "string",
957 "id": 0,
958 "cultureId": 0,
959 "value": "string"
960 }
961 ]
962 },
963 "occupanciesDto": [
964 {
965 "createdBy": "string",
966 "lastModifiedBy": "string",
967 "createdDate": "2019-08-24T14:15:22Z",
968 "lastModifiedDate": "2019-08-24T14:15:22Z",
969 "archived": true,
970 "externalId": "string",
971 "id": 0,
972 "priority": 0,
973 "internalId": 0,
974 "pickListCode": "string",
975 "pickListLabel": "string",
976 "label": "string",
977 "cultureId": 0,
978 "labelDtos": [
979 {
980 "createdBy": "string",
981 "lastModifiedBy": "string",
982 "createdDate": "2019-08-24T14:15:22Z",
983 "lastModifiedDate": "2019-08-24T14:15:22Z",
984 "archived": true,
985 "externalId": "string",
986 "id": 0,
987 "cultureId": 0,
988 "value": "string"
989 }
990 ]
991 }
992 ]
993 },
994 "isTerminationVersion": true
995 }
996 }
997}
Critical Clause - Update Critical Clause¶
HTTP Request
PUT /api/critical-clauses/{id}
📋 Description: Updates the specified critical clause within the Nakisa Portfolio Management Suite, enabling users to modify essential terms related to portfolio and asset management in real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated critical clause details, including relevant portfolio and asset information, for the specified real estate property. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "rentTypeId": 0,
10 "increaseTypeId": 0,
11 "exercisedId": 0,
12 "exerciseMethodId": 0,
13 "parentId": 0,
14 "pageNumber": "string",
15 "section": "string",
16 "rentOrCost": 0,
17 "noticeNumberOfDays": 0,
18 "startDate": "2019-08-24",
19 "endDate": "2019-08-24",
20 "earlyNotice": "2019-08-24",
21 "latestNotice": "2019-08-24",
22 "notificationDate": "2019-08-24",
23 "exerciseMethod": {
24 "createdBy": "string",
25 "lastModifiedBy": "string",
26 "createdDate": "2019-08-24T14:15:22Z",
27 "lastModifiedDate": "2019-08-24T14:15:22Z",
28 "archived": true,
29 "externalId": "string",
30 "id": 0,
31 "priority": 0,
32 "internalId": 0,
33 "pickListCode": "string",
34 "pickListLabel": "string",
35 "label": "string",
36 "cultureId": 0,
37 "labelDtos": [
38 {
39 "createdBy": "string",
40 "lastModifiedBy": "string",
41 "createdDate": "2019-08-24T14:15:22Z",
42 "lastModifiedDate": "2019-08-24T14:15:22Z",
43 "archived": true,
44 "externalId": "string",
45 "id": 0,
46 "cultureId": 0,
47 "value": "string"
48 }
49 ]
50 },
51 "rentType": {
52 "createdBy": "string",
53 "lastModifiedBy": "string",
54 "createdDate": "2019-08-24T14:15:22Z",
55 "lastModifiedDate": "2019-08-24T14:15:22Z",
56 "archived": true,
57 "externalId": "string",
58 "id": 0,
59 "priority": 0,
60 "internalId": 0,
61 "pickListCode": "string",
62 "pickListLabel": "string",
63 "label": "string",
64 "cultureId": 0,
65 "labelDtos": [
66 {
67 "createdBy": "string",
68 "lastModifiedBy": "string",
69 "createdDate": "2019-08-24T14:15:22Z",
70 "lastModifiedDate": "2019-08-24T14:15:22Z",
71 "archived": true,
72 "externalId": "string",
73 "id": 0,
74 "cultureId": 0,
75 "value": "string"
76 }
77 ]
78 },
79 "increaseType": {
80 "createdBy": "string",
81 "lastModifiedBy": "string",
82 "createdDate": "2019-08-24T14:15:22Z",
83 "lastModifiedDate": "2019-08-24T14:15:22Z",
84 "archived": true,
85 "externalId": "string",
86 "id": 0,
87 "priority": 0,
88 "internalId": 0,
89 "pickListCode": "string",
90 "pickListLabel": "string",
91 "label": "string",
92 "cultureId": 0,
93 "labelDtos": [
94 {
95 "createdBy": "string",
96 "lastModifiedBy": "string",
97 "createdDate": "2019-08-24T14:15:22Z",
98 "lastModifiedDate": "2019-08-24T14:15:22Z",
99 "archived": true,
100 "externalId": "string",
101 "id": 0,
102 "cultureId": 0,
103 "value": "string"
104 }
105 ]
106 },
107 "exercised": {
108 "createdBy": "string",
109 "lastModifiedBy": "string",
110 "createdDate": "2019-08-24T14:15:22Z",
111 "lastModifiedDate": "2019-08-24T14:15:22Z",
112 "archived": true,
113 "externalId": "string",
114 "id": 0,
115 "priority": 0,
116 "internalId": 0,
117 "pickListCode": "string",
118 "pickListLabel": "string",
119 "label": "string",
120 "cultureId": 0,
121 "labelDtos": [
122 {
123 "createdBy": "string",
124 "lastModifiedBy": "string",
125 "createdDate": "2019-08-24T14:15:22Z",
126 "lastModifiedDate": "2019-08-24T14:15:22Z",
127 "archived": true,
128 "externalId": "string",
129 "id": 0,
130 "cultureId": 0,
131 "value": "string"
132 }
133 ]
134 },
135 "leaseCriticalClauseTypeId": 0,
136 "leaseCriticalClauseTypeDto": {
137 "createdBy": "string",
138 "lastModifiedBy": "string",
139 "createdDate": "2019-08-24T14:15:22Z",
140 "lastModifiedDate": "2019-08-24T14:15:22Z",
141 "archived": true,
142 "externalId": "string",
143 "id": 0,
144 "typeId": 0,
145 "notApplicable": true,
146 "type": {
147 "createdBy": "string",
148 "lastModifiedBy": "string",
149 "createdDate": "2019-08-24T14:15:22Z",
150 "lastModifiedDate": "2019-08-24T14:15:22Z",
151 "archived": true,
152 "externalId": "string",
153 "id": 0,
154 "priority": 0,
155 "internalId": 0,
156 "pickListCode": "string",
157 "pickListLabel": "string",
158 "label": "string",
159 "cultureId": 0,
160 "labelDtos": [
161 {
162 "createdBy": "string",
163 "lastModifiedBy": "string",
164 "createdDate": "2019-08-24T14:15:22Z",
165 "lastModifiedDate": "2019-08-24T14:15:22Z",
166 "archived": true,
167 "externalId": "string",
168 "id": 0,
169 "cultureId": 0,
170 "value": "string"
171 }
172 ]
173 },
174 "leaseId": 0,
175 "leaseDto": {
176 "createdBy": "string",
177 "lastModifiedBy": "string",
178 "createdDate": "2019-08-24T14:15:22Z",
179 "lastModifiedDate": "2019-08-24T14:15:22Z",
180 "archived": true,
181 "externalId": "string",
182 "id": 0,
183 "typeId": 0,
184 "terminatingLease": "2019-08-24",
185 "maximumDateTo": "2019-08-24",
186 "number": "string",
187 "validFrom": "2019-08-24",
188 "validTo": "2019-08-24",
189 "categoryId": 0,
190 "registrationNumber": "string",
191 "statusId": 0,
192 "stateId": 0,
193 "calculateTax": true,
194 "autoMonthToMonth": true,
195 "originalLeaseId": 0,
196 "scenario": true,
197 "parentLeaseId": 0,
198 "areasHistoryVersionId": 0,
199 "provisioningFrequencyName": "string",
200 "accountingApproved": true,
201 "indexationType": "string",
202 "cpiGlobalCategoryId": 0,
203 "indexationReferenceDate": "2019-08-24",
204 "currentIndexLevel": 0.1,
205 "conditionallyIndexed": true,
206 "applicableCurrentIndexLevel": 0.1,
207 "indexLevelPercentageChangeLowerBound": 0.1,
208 "indexLevelPercentageChangeUpperBound": 0.1,
209 "indexationTypeNonLease": "string",
210 "cpiGlobalCategoryIdNonLease": 0,
211 "indexationReferenceDateNonLease": "2019-08-24",
212 "currentIndexLevelNonLease": 0.1,
213 "conditionallyIndexedNonLease": true,
214 "applicableCurrentIndexLevelNonLease": 0.1,
215 "indexLevelPercentageChangeLowerBoundNonLease": 0.1,
216 "indexLevelPercentageChangeUpperBoundNonLease": 0.1,
217 "signatureDate": "2019-08-24",
218 "premiseId": 0,
219 "type": {
220 "createdBy": "string",
221 "lastModifiedBy": "string",
222 "createdDate": "2019-08-24T14:15:22Z",
223 "lastModifiedDate": "2019-08-24T14:15:22Z",
224 "archived": true,
225 "externalId": "string",
226 "id": 0,
227 "priority": 0,
228 "internalId": 0,
229 "pickListCode": "string",
230 "pickListLabel": "string",
231 "label": "string",
232 "cultureId": 0,
233 "labelDtos": [
234 {
235 "createdBy": "string",
236 "lastModifiedBy": "string",
237 "createdDate": "2019-08-24T14:15:22Z",
238 "lastModifiedDate": "2019-08-24T14:15:22Z",
239 "archived": true,
240 "externalId": "string",
241 "id": 0,
242 "cultureId": 0,
243 "value": "string"
244 }
245 ]
246 },
247 "category": {
248 "createdBy": "string",
249 "lastModifiedBy": "string",
250 "createdDate": "2019-08-24T14:15:22Z",
251 "lastModifiedDate": "2019-08-24T14:15:22Z",
252 "archived": true,
253 "externalId": "string",
254 "id": 0,
255 "priority": 0,
256 "internalId": 0,
257 "pickListCode": "string",
258 "pickListLabel": "string",
259 "label": "string",
260 "cultureId": 0,
261 "labelDtos": [
262 {
263 "createdBy": "string",
264 "lastModifiedBy": "string",
265 "createdDate": "2019-08-24T14:15:22Z",
266 "lastModifiedDate": "2019-08-24T14:15:22Z",
267 "archived": true,
268 "externalId": "string",
269 "id": 0,
270 "cultureId": 0,
271 "value": "string"
272 }
273 ]
274 },
275 "status": {
276 "createdBy": "string",
277 "lastModifiedBy": "string",
278 "createdDate": "2019-08-24T14:15:22Z",
279 "lastModifiedDate": "2019-08-24T14:15:22Z",
280 "archived": true,
281 "externalId": "string",
282 "id": 0,
283 "priority": 0,
284 "internalId": 0,
285 "pickListCode": "string",
286 "pickListLabel": "string",
287 "label": "string",
288 "cultureId": 0,
289 "labelDtos": [
290 {
291 "createdBy": "string",
292 "lastModifiedBy": "string",
293 "createdDate": "2019-08-24T14:15:22Z",
294 "lastModifiedDate": "2019-08-24T14:15:22Z",
295 "archived": true,
296 "externalId": "string",
297 "id": 0,
298 "cultureId": 0,
299 "value": "string"
300 }
301 ]
302 },
303 "state": {
304 "createdBy": "string",
305 "lastModifiedBy": "string",
306 "createdDate": "2019-08-24T14:15:22Z",
307 "lastModifiedDate": "2019-08-24T14:15:22Z",
308 "archived": true,
309 "externalId": "string",
310 "id": 0,
311 "priority": 0,
312 "internalId": 0,
313 "pickListCode": "string",
314 "pickListLabel": "string",
315 "label": "string",
316 "cultureId": 0,
317 "labelDtos": [
318 {
319 "createdBy": "string",
320 "lastModifiedBy": "string",
321 "createdDate": "2019-08-24T14:15:22Z",
322 "lastModifiedDate": "2019-08-24T14:15:22Z",
323 "archived": true,
324 "externalId": "string",
325 "id": 0,
326 "cultureId": 0,
327 "value": "string"
328 }
329 ]
330 },
331 "version": {
332 "createdBy": "string",
333 "lastModifiedBy": "string",
334 "createdDate": "2019-08-24T14:15:22Z",
335 "lastModifiedDate": "2019-08-24T14:15:22Z",
336 "archived": true,
337 "externalId": "string",
338 "id": 0,
339 "name": "string",
340 "description": "string",
341 "modificationDate": "2019-08-24",
342 "updateContractRate": true,
343 "leaseEvent": {
344 "createdBy": "string",
345 "lastModifiedBy": "string",
346 "createdDate": "2019-08-24T14:15:22Z",
347 "lastModifiedDate": "2019-08-24T14:15:22Z",
348 "archived": true,
349 "externalId": "string",
350 "id": 0,
351 "typeId": 0,
352 "code": "string",
353 "reviewedBy": "string",
354 "reviewedDate": "2019-08-24",
355 "reviewedStatusId": 0,
356 "activityDate": "2019-08-24",
357 "relatedPickListOptionId": 0,
358 "detail": "string",
359 "note": {
360 "createdBy": "string",
361 "lastModifiedBy": "string",
362 "createdDate": "2019-08-24T14:15:22Z",
363 "lastModifiedDate": "2019-08-24T14:15:22Z",
364 "archived": true,
365 "externalId": "string",
366 "id": 0,
367 "message": "string",
368 "preserveOriginalAudit": true,
369 "originalCreatedBy": "string",
370 "originalCreatedDate": "2019-08-24T14:15:22Z",
371 "originalLastModifiedBy": "string",
372 "originalLastModifiedDate": "2019-08-24T14:15:22Z"
373 },
374 "type": {
375 "createdBy": "string",
376 "lastModifiedBy": "string",
377 "createdDate": "2019-08-24T14:15:22Z",
378 "lastModifiedDate": "2019-08-24T14:15:22Z",
379 "archived": true,
380 "externalId": "string",
381 "id": 0,
382 "priority": 0,
383 "internalId": 0,
384 "pickListCode": "string",
385 "pickListLabel": "string",
386 "label": "string",
387 "cultureId": 0,
388 "labelDtos": [
389 {
390 "createdBy": "string",
391 "lastModifiedBy": "string",
392 "createdDate": "2019-08-24T14:15:22Z",
393 "lastModifiedDate": "2019-08-24T14:15:22Z",
394 "archived": true,
395 "externalId": "string",
396 "id": 0,
397 "cultureId": 0,
398 "value": "string"
399 }
400 ]
401 },
402 "reviewedStatus": {
403 "createdBy": "string",
404 "lastModifiedBy": "string",
405 "createdDate": "2019-08-24T14:15:22Z",
406 "lastModifiedDate": "2019-08-24T14:15:22Z",
407 "archived": true,
408 "externalId": "string",
409 "id": 0,
410 "priority": 0,
411 "internalId": 0,
412 "pickListCode": "string",
413 "pickListLabel": "string",
414 "label": "string",
415 "cultureId": 0,
416 "labelDtos": [
417 {
418 "createdBy": "string",
419 "lastModifiedBy": "string",
420 "createdDate": "2019-08-24T14:15:22Z",
421 "lastModifiedDate": "2019-08-24T14:15:22Z",
422 "archived": true,
423 "externalId": "string",
424 "id": 0,
425 "cultureId": 0,
426 "value": "string"
427 }
428 ]
429 },
430 "relatedPickListOption": {
431 "createdBy": "string",
432 "lastModifiedBy": "string",
433 "createdDate": "2019-08-24T14:15:22Z",
434 "lastModifiedDate": "2019-08-24T14:15:22Z",
435 "archived": true,
436 "externalId": "string",
437 "id": 0,
438 "priority": 0,
439 "internalId": 0,
440 "pickListCode": "string",
441 "pickListLabel": "string",
442 "label": "string",
443 "cultureId": 0,
444 "labelDtos": [
445 {
446 "createdBy": "string",
447 "lastModifiedBy": "string",
448 "createdDate": "2019-08-24T14:15:22Z",
449 "lastModifiedDate": "2019-08-24T14:15:22Z",
450 "archived": true,
451 "externalId": "string",
452 "id": 0,
453 "cultureId": 0,
454 "value": "string"
455 }
456 ]
457 },
458 "isVisiblePartnerPortal": true
459 },
460 "scenario": true,
461 "isVisibleVendorPortal": true,
462 "isTerminationVersion": true,
463 "terminationDate": "2019-08-24",
464 "penaltyAmount": 0.1,
465 "areasHistoryVersionId": 0
466 },
467 "premiseDto": {
468 "createdBy": "string",
469 "lastModifiedBy": "string",
470 "createdDate": "2019-08-24T14:15:22Z",
471 "lastModifiedDate": "2019-08-24T14:15:22Z",
472 "archived": true,
473 "externalId": "string",
474 "id": 0,
475 "number": "string",
476 "name": "string",
477 "headPremise": true,
478 "possessionDate": "2019-08-24",
479 "openingDate": "2019-08-24",
480 "closingDate": "2019-08-24",
481 "relocationDate": "2019-08-24",
482 "vacatingDate": "2019-08-24",
483 "expansionDate": "2019-08-24",
484 "statusId": 0,
485 "usageId": 0,
486 "parentPremiseId": 0,
487 "costCenterId": 0,
488 "profitCenterId": 0,
489 "legalEntityId": 0,
490 "occupancyIds": [
491 0
492 ],
493 "locationId": 0,
494 "locationDto": {
495 "createdBy": "string",
496 "lastModifiedBy": "string",
497 "createdDate": "2019-08-24T14:15:22Z",
498 "lastModifiedDate": "2019-08-24T14:15:22Z",
499 "archived": true,
500 "externalId": "string",
501 "id": 0,
502 "number": "string",
503 "name": "string",
504 "storeNumber": "string",
505 "defaultCurrencyId": 0,
506 "defaultMeasureId": 0,
507 "typeId": 0,
508 "qualityId": 0,
509 "propertyTypeId": 0,
510 "categoryId": 0,
511 "statusId": 0,
512 "businessUnitId": 0,
513 "groupIds": [
514 0
515 ],
516 "legalEntityIds": [
517 0
518 ],
519 "defaultCurrency": {
520 "id": 0,
521 "status": "CREATED",
522 "displayId": "string",
523 "erpSystemId": 0,
524 "erpSystemDisplayId": "string",
525 "name": "string",
526 "decimalPoints": 0,
527 "depreciationAreaId": 0
528 },
529 "defaultUnitValue": {
530 "createdBy": "string",
531 "lastModifiedBy": "string",
532 "createdDate": "2019-08-24T14:15:22Z",
533 "lastModifiedDate": "2019-08-24T14:15:22Z",
534 "archived": true,
535 "externalId": "string",
536 "id": 0,
537 "unitId": 0,
538 "unitOfMeasureId": 0,
539 "erpSystemId": 0,
540 "unit": {
541 "createdBy": "string",
542 "lastModifiedBy": "string",
543 "createdDate": "2019-08-24T14:15:22Z",
544 "lastModifiedDate": "2019-08-24T14:15:22Z",
545 "archived": true,
546 "externalId": "string",
547 "id": 0,
548 "priority": 0,
549 "internalId": 0,
550 "pickListCode": "string",
551 "pickListLabel": "string",
552 "label": "string",
553 "cultureId": 0,
554 "labelDtos": [
555 {
556 "createdBy": "string",
557 "lastModifiedBy": "string",
558 "createdDate": "2019-08-24T14:15:22Z",
559 "lastModifiedDate": "2019-08-24T14:15:22Z",
560 "archived": true,
561 "externalId": "string",
562 "id": 0,
563 "cultureId": 0,
564 "value": "string"
565 }
566 ]
567 },
568 "unitOfMeasure": {
569 "id": 0,
570 "status": "CREATED",
571 "displayId": "string",
572 "erpSystemId": 0,
573 "erpSystemDisplayId": "string",
574 "name": "string"
575 }
576 },
577 "type": {
578 "createdBy": "string",
579 "lastModifiedBy": "string",
580 "createdDate": "2019-08-24T14:15:22Z",
581 "lastModifiedDate": "2019-08-24T14:15:22Z",
582 "archived": true,
583 "externalId": "string",
584 "id": 0,
585 "priority": 0,
586 "internalId": 0,
587 "pickListCode": "string",
588 "pickListLabel": "string",
589 "label": "string",
590 "cultureId": 0,
591 "labelDtos": [
592 {
593 "createdBy": "string",
594 "lastModifiedBy": "string",
595 "createdDate": "2019-08-24T14:15:22Z",
596 "lastModifiedDate": "2019-08-24T14:15:22Z",
597 "archived": true,
598 "externalId": "string",
599 "id": 0,
600 "cultureId": 0,
601 "value": "string"
602 }
603 ]
604 },
605 "quality": {
606 "createdBy": "string",
607 "lastModifiedBy": "string",
608 "createdDate": "2019-08-24T14:15:22Z",
609 "lastModifiedDate": "2019-08-24T14:15:22Z",
610 "archived": true,
611 "externalId": "string",
612 "id": 0,
613 "priority": 0,
614 "internalId": 0,
615 "pickListCode": "string",
616 "pickListLabel": "string",
617 "label": "string",
618 "cultureId": 0,
619 "labelDtos": [
620 {
621 "createdBy": "string",
622 "lastModifiedBy": "string",
623 "createdDate": "2019-08-24T14:15:22Z",
624 "lastModifiedDate": "2019-08-24T14:15:22Z",
625 "archived": true,
626 "externalId": "string",
627 "id": 0,
628 "cultureId": 0,
629 "value": "string"
630 }
631 ]
632 },
633 "propertyType": {
634 "createdBy": "string",
635 "lastModifiedBy": "string",
636 "createdDate": "2019-08-24T14:15:22Z",
637 "lastModifiedDate": "2019-08-24T14:15:22Z",
638 "archived": true,
639 "externalId": "string",
640 "id": 0,
641 "priority": 0,
642 "internalId": 0,
643 "pickListCode": "string",
644 "pickListLabel": "string",
645 "label": "string",
646 "cultureId": 0,
647 "labelDtos": [
648 {
649 "createdBy": "string",
650 "lastModifiedBy": "string",
651 "createdDate": "2019-08-24T14:15:22Z",
652 "lastModifiedDate": "2019-08-24T14:15:22Z",
653 "archived": true,
654 "externalId": "string",
655 "id": 0,
656 "cultureId": 0,
657 "value": "string"
658 }
659 ]
660 },
661 "category": {
662 "createdBy": "string",
663 "lastModifiedBy": "string",
664 "createdDate": "2019-08-24T14:15:22Z",
665 "lastModifiedDate": "2019-08-24T14:15:22Z",
666 "archived": true,
667 "externalId": "string",
668 "id": 0,
669 "priority": 0,
670 "internalId": 0,
671 "pickListCode": "string",
672 "pickListLabel": "string",
673 "label": "string",
674 "cultureId": 0,
675 "labelDtos": [
676 {
677 "createdBy": "string",
678 "lastModifiedBy": "string",
679 "createdDate": "2019-08-24T14:15:22Z",
680 "lastModifiedDate": "2019-08-24T14:15:22Z",
681 "archived": true,
682 "externalId": "string",
683 "id": 0,
684 "cultureId": 0,
685 "value": "string"
686 }
687 ]
688 },
689 "status": {
690 "createdBy": "string",
691 "lastModifiedBy": "string",
692 "createdDate": "2019-08-24T14:15:22Z",
693 "lastModifiedDate": "2019-08-24T14:15:22Z",
694 "archived": true,
695 "externalId": "string",
696 "id": 0,
697 "priority": 0,
698 "internalId": 0,
699 "pickListCode": "string",
700 "pickListLabel": "string",
701 "label": "string",
702 "cultureId": 0,
703 "labelDtos": [
704 {
705 "createdBy": "string",
706 "lastModifiedBy": "string",
707 "createdDate": "2019-08-24T14:15:22Z",
708 "lastModifiedDate": "2019-08-24T14:15:22Z",
709 "archived": true,
710 "externalId": "string",
711 "id": 0,
712 "cultureId": 0,
713 "value": "string"
714 }
715 ]
716 },
717 "addressDto": {
718 "createdBy": "string",
719 "lastModifiedBy": "string",
720 "createdDate": "2019-08-24T14:15:22Z",
721 "lastModifiedDate": "2019-08-24T14:15:22Z",
722 "archived": true,
723 "externalId": "string",
724 "id": 0,
725 "street": "string",
726 "civicNumber": "string",
727 "suite": "string",
728 "postalCode": "string",
729 "lon": 0.1,
730 "lat": 0.1,
731 "city": {
732 "createdBy": "string",
733 "lastModifiedBy": "string",
734 "createdDate": "2019-08-24T14:15:22Z",
735 "lastModifiedDate": "2019-08-24T14:15:22Z",
736 "archived": true,
737 "externalId": "string",
738 "id": 0,
739 "name": "string",
740 "province": {
741 "createdBy": "string",
742 "lastModifiedBy": "string",
743 "createdDate": "2019-08-24T14:15:22Z",
744 "lastModifiedDate": "2019-08-24T14:15:22Z",
745 "archived": true,
746 "externalId": "string",
747 "id": 0,
748 "name": "string",
749 "code": "string",
750 "country": {
751 "createdBy": "string",
752 "lastModifiedBy": "string",
753 "createdDate": "2019-08-24T14:15:22Z",
754 "lastModifiedDate": "2019-08-24T14:15:22Z",
755 "archived": true,
756 "externalId": "string",
757 "id": 0,
758 "name": "string",
759 "code": "string"
760 },
761 "provinceCountryKey": "string"
762 },
763 "cityProvinceCountryKey": "string"
764 },
765 "district": {
766 "createdBy": "string",
767 "lastModifiedBy": "string",
768 "createdDate": "2019-08-24T14:15:22Z",
769 "lastModifiedDate": "2019-08-24T14:15:22Z",
770 "archived": true,
771 "externalId": "string",
772 "id": 0,
773 "name": "string",
774 "city": {
775 "createdBy": "string",
776 "lastModifiedBy": "string",
777 "createdDate": "2019-08-24T14:15:22Z",
778 "lastModifiedDate": "2019-08-24T14:15:22Z",
779 "archived": true,
780 "externalId": "string",
781 "id": 0,
782 "name": "string",
783 "province": {
784 "createdBy": "string",
785 "lastModifiedBy": "string",
786 "createdDate": "2019-08-24T14:15:22Z",
787 "lastModifiedDate": "2019-08-24T14:15:22Z",
788 "archived": true,
789 "externalId": "string",
790 "id": 0,
791 "name": "string",
792 "code": "string",
793 "country": {
794 "createdBy": "string",
795 "lastModifiedBy": "string",
796 "createdDate": "2019-08-24T14:15:22Z",
797 "lastModifiedDate": "2019-08-24T14:15:22Z",
798 "archived": true,
799 "externalId": "string",
800 "id": 0,
801 "name": "string",
802 "code": "string"
803 },
804 "provinceCountryKey": "string"
805 },
806 "cityProvinceCountryKey": "string"
807 }
808 },
809 "cityId": 0,
810 "districtId": 0
811 },
812 "secondAddressDto": {
813 "createdBy": "string",
814 "lastModifiedBy": "string",
815 "createdDate": "2019-08-24T14:15:22Z",
816 "lastModifiedDate": "2019-08-24T14:15:22Z",
817 "archived": true,
818 "externalId": "string",
819 "id": 0,
820 "street": "string",
821 "civicNumber": "string",
822 "suite": "string",
823 "postalCode": "string",
824 "lon": 0.1,
825 "lat": 0.1,
826 "city": {
827 "createdBy": "string",
828 "lastModifiedBy": "string",
829 "createdDate": "2019-08-24T14:15:22Z",
830 "lastModifiedDate": "2019-08-24T14:15:22Z",
831 "archived": true,
832 "externalId": "string",
833 "id": 0,
834 "name": "string",
835 "province": {
836 "createdBy": "string",
837 "lastModifiedBy": "string",
838 "createdDate": "2019-08-24T14:15:22Z",
839 "lastModifiedDate": "2019-08-24T14:15:22Z",
840 "archived": true,
841 "externalId": "string",
842 "id": 0,
843 "name": "string",
844 "code": "string",
845 "country": {
846 "createdBy": "string",
847 "lastModifiedBy": "string",
848 "createdDate": "2019-08-24T14:15:22Z",
849 "lastModifiedDate": "2019-08-24T14:15:22Z",
850 "archived": true,
851 "externalId": "string",
852 "id": 0,
853 "name": "string",
854 "code": "string"
855 },
856 "provinceCountryKey": "string"
857 },
858 "cityProvinceCountryKey": "string"
859 },
860 "district": {
861 "createdBy": "string",
862 "lastModifiedBy": "string",
863 "createdDate": "2019-08-24T14:15:22Z",
864 "lastModifiedDate": "2019-08-24T14:15:22Z",
865 "archived": true,
866 "externalId": "string",
867 "id": 0,
868 "name": "string",
869 "city": {
870 "createdBy": "string",
871 "lastModifiedBy": "string",
872 "createdDate": "2019-08-24T14:15:22Z",
873 "lastModifiedDate": "2019-08-24T14:15:22Z",
874 "archived": true,
875 "externalId": "string",
876 "id": 0,
877 "name": "string",
878 "province": {
879 "createdBy": "string",
880 "lastModifiedBy": "string",
881 "createdDate": "2019-08-24T14:15:22Z",
882 "lastModifiedDate": "2019-08-24T14:15:22Z",
883 "archived": true,
884 "externalId": "string",
885 "id": 0,
886 "name": "string",
887 "code": "string",
888 "country": {
889 "createdBy": "string",
890 "lastModifiedBy": "string",
891 "createdDate": "2019-08-24T14:15:22Z",
892 "lastModifiedDate": "2019-08-24T14:15:22Z",
893 "archived": true,
894 "externalId": "string",
895 "id": 0,
896 "name": "string",
897 "code": "string"
898 },
899 "provinceCountryKey": "string"
900 },
901 "cityProvinceCountryKey": "string"
902 }
903 },
904 "cityId": 0,
905 "districtId": 0
906 }
907 },
908 "status": {
909 "createdBy": "string",
910 "lastModifiedBy": "string",
911 "createdDate": "2019-08-24T14:15:22Z",
912 "lastModifiedDate": "2019-08-24T14:15:22Z",
913 "archived": true,
914 "externalId": "string",
915 "id": 0,
916 "priority": 0,
917 "internalId": 0,
918 "pickListCode": "string",
919 "pickListLabel": "string",
920 "label": "string",
921 "cultureId": 0,
922 "labelDtos": [
923 {
924 "createdBy": "string",
925 "lastModifiedBy": "string",
926 "createdDate": "2019-08-24T14:15:22Z",
927 "lastModifiedDate": "2019-08-24T14:15:22Z",
928 "archived": true,
929 "externalId": "string",
930 "id": 0,
931 "cultureId": 0,
932 "value": "string"
933 }
934 ]
935 },
936 "usage": {
937 "createdBy": "string",
938 "lastModifiedBy": "string",
939 "createdDate": "2019-08-24T14:15:22Z",
940 "lastModifiedDate": "2019-08-24T14:15:22Z",
941 "archived": true,
942 "externalId": "string",
943 "id": 0,
944 "priority": 0,
945 "internalId": 0,
946 "pickListCode": "string",
947 "pickListLabel": "string",
948 "label": "string",
949 "cultureId": 0,
950 "labelDtos": [
951 {
952 "createdBy": "string",
953 "lastModifiedBy": "string",
954 "createdDate": "2019-08-24T14:15:22Z",
955 "lastModifiedDate": "2019-08-24T14:15:22Z",
956 "archived": true,
957 "externalId": "string",
958 "id": 0,
959 "cultureId": 0,
960 "value": "string"
961 }
962 ]
963 },
964 "occupanciesDto": [
965 {
966 "createdBy": "string",
967 "lastModifiedBy": "string",
968 "createdDate": "2019-08-24T14:15:22Z",
969 "lastModifiedDate": "2019-08-24T14:15:22Z",
970 "archived": true,
971 "externalId": "string",
972 "id": 0,
973 "priority": 0,
974 "internalId": 0,
975 "pickListCode": "string",
976 "pickListLabel": "string",
977 "label": "string",
978 "cultureId": 0,
979 "labelDtos": [
980 {
981 "createdBy": "string",
982 "lastModifiedBy": "string",
983 "createdDate": "2019-08-24T14:15:22Z",
984 "lastModifiedDate": "2019-08-24T14:15:22Z",
985 "archived": true,
986 "externalId": "string",
987 "id": 0,
988 "cultureId": 0,
989 "value": "string"
990 }
991 ]
992 }
993 ]
994 },
995 "isTerminationVersion": true
996 }
997 }
998}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "rentTypeId": 0,
10 "increaseTypeId": 0,
11 "exercisedId": 0,
12 "exerciseMethodId": 0,
13 "parentId": 0,
14 "pageNumber": "string",
15 "section": "string",
16 "rentOrCost": 0,
17 "noticeNumberOfDays": 0,
18 "startDate": "2019-08-24",
19 "endDate": "2019-08-24",
20 "earlyNotice": "2019-08-24",
21 "latestNotice": "2019-08-24",
22 "notificationDate": "2019-08-24",
23 "exerciseMethod": {
24 "createdBy": "string",
25 "lastModifiedBy": "string",
26 "createdDate": "2019-08-24T14:15:22Z",
27 "lastModifiedDate": "2019-08-24T14:15:22Z",
28 "archived": true,
29 "externalId": "string",
30 "id": 0,
31 "priority": 0,
32 "internalId": 0,
33 "pickListCode": "string",
34 "pickListLabel": "string",
35 "label": "string",
36 "cultureId": 0,
37 "labelDtos": [
38 {
39 "createdBy": "string",
40 "lastModifiedBy": "string",
41 "createdDate": "2019-08-24T14:15:22Z",
42 "lastModifiedDate": "2019-08-24T14:15:22Z",
43 "archived": true,
44 "externalId": "string",
45 "id": 0,
46 "cultureId": 0,
47 "value": "string"
48 }
49 ]
50 },
51 "rentType": {
52 "createdBy": "string",
53 "lastModifiedBy": "string",
54 "createdDate": "2019-08-24T14:15:22Z",
55 "lastModifiedDate": "2019-08-24T14:15:22Z",
56 "archived": true,
57 "externalId": "string",
58 "id": 0,
59 "priority": 0,
60 "internalId": 0,
61 "pickListCode": "string",
62 "pickListLabel": "string",
63 "label": "string",
64 "cultureId": 0,
65 "labelDtos": [
66 {
67 "createdBy": "string",
68 "lastModifiedBy": "string",
69 "createdDate": "2019-08-24T14:15:22Z",
70 "lastModifiedDate": "2019-08-24T14:15:22Z",
71 "archived": true,
72 "externalId": "string",
73 "id": 0,
74 "cultureId": 0,
75 "value": "string"
76 }
77 ]
78 },
79 "increaseType": {
80 "createdBy": "string",
81 "lastModifiedBy": "string",
82 "createdDate": "2019-08-24T14:15:22Z",
83 "lastModifiedDate": "2019-08-24T14:15:22Z",
84 "archived": true,
85 "externalId": "string",
86 "id": 0,
87 "priority": 0,
88 "internalId": 0,
89 "pickListCode": "string",
90 "pickListLabel": "string",
91 "label": "string",
92 "cultureId": 0,
93 "labelDtos": [
94 {
95 "createdBy": "string",
96 "lastModifiedBy": "string",
97 "createdDate": "2019-08-24T14:15:22Z",
98 "lastModifiedDate": "2019-08-24T14:15:22Z",
99 "archived": true,
100 "externalId": "string",
101 "id": 0,
102 "cultureId": 0,
103 "value": "string"
104 }
105 ]
106 },
107 "exercised": {
108 "createdBy": "string",
109 "lastModifiedBy": "string",
110 "createdDate": "2019-08-24T14:15:22Z",
111 "lastModifiedDate": "2019-08-24T14:15:22Z",
112 "archived": true,
113 "externalId": "string",
114 "id": 0,
115 "priority": 0,
116 "internalId": 0,
117 "pickListCode": "string",
118 "pickListLabel": "string",
119 "label": "string",
120 "cultureId": 0,
121 "labelDtos": [
122 {
123 "createdBy": "string",
124 "lastModifiedBy": "string",
125 "createdDate": "2019-08-24T14:15:22Z",
126 "lastModifiedDate": "2019-08-24T14:15:22Z",
127 "archived": true,
128 "externalId": "string",
129 "id": 0,
130 "cultureId": 0,
131 "value": "string"
132 }
133 ]
134 },
135 "leaseCriticalClauseTypeId": 0,
136 "leaseCriticalClauseTypeDto": {
137 "createdBy": "string",
138 "lastModifiedBy": "string",
139 "createdDate": "2019-08-24T14:15:22Z",
140 "lastModifiedDate": "2019-08-24T14:15:22Z",
141 "archived": true,
142 "externalId": "string",
143 "id": 0,
144 "typeId": 0,
145 "notApplicable": true,
146 "type": {
147 "createdBy": "string",
148 "lastModifiedBy": "string",
149 "createdDate": "2019-08-24T14:15:22Z",
150 "lastModifiedDate": "2019-08-24T14:15:22Z",
151 "archived": true,
152 "externalId": "string",
153 "id": 0,
154 "priority": 0,
155 "internalId": 0,
156 "pickListCode": "string",
157 "pickListLabel": "string",
158 "label": "string",
159 "cultureId": 0,
160 "labelDtos": [
161 {
162 "createdBy": "string",
163 "lastModifiedBy": "string",
164 "createdDate": "2019-08-24T14:15:22Z",
165 "lastModifiedDate": "2019-08-24T14:15:22Z",
166 "archived": true,
167 "externalId": "string",
168 "id": 0,
169 "cultureId": 0,
170 "value": "string"
171 }
172 ]
173 },
174 "leaseId": 0,
175 "leaseDto": {
176 "createdBy": "string",
177 "lastModifiedBy": "string",
178 "createdDate": "2019-08-24T14:15:22Z",
179 "lastModifiedDate": "2019-08-24T14:15:22Z",
180 "archived": true,
181 "externalId": "string",
182 "id": 0,
183 "typeId": 0,
184 "terminatingLease": "2019-08-24",
185 "maximumDateTo": "2019-08-24",
186 "number": "string",
187 "validFrom": "2019-08-24",
188 "validTo": "2019-08-24",
189 "categoryId": 0,
190 "registrationNumber": "string",
191 "statusId": 0,
192 "stateId": 0,
193 "calculateTax": true,
194 "autoMonthToMonth": true,
195 "originalLeaseId": 0,
196 "scenario": true,
197 "parentLeaseId": 0,
198 "areasHistoryVersionId": 0,
199 "provisioningFrequencyName": "string",
200 "accountingApproved": true,
201 "indexationType": "string",
202 "cpiGlobalCategoryId": 0,
203 "indexationReferenceDate": "2019-08-24",
204 "currentIndexLevel": 0.1,
205 "conditionallyIndexed": true,
206 "applicableCurrentIndexLevel": 0.1,
207 "indexLevelPercentageChangeLowerBound": 0.1,
208 "indexLevelPercentageChangeUpperBound": 0.1,
209 "indexationTypeNonLease": "string",
210 "cpiGlobalCategoryIdNonLease": 0,
211 "indexationReferenceDateNonLease": "2019-08-24",
212 "currentIndexLevelNonLease": 0.1,
213 "conditionallyIndexedNonLease": true,
214 "applicableCurrentIndexLevelNonLease": 0.1,
215 "indexLevelPercentageChangeLowerBoundNonLease": 0.1,
216 "indexLevelPercentageChangeUpperBoundNonLease": 0.1,
217 "signatureDate": "2019-08-24",
218 "premiseId": 0,
219 "type": {
220 "createdBy": "string",
221 "lastModifiedBy": "string",
222 "createdDate": "2019-08-24T14:15:22Z",
223 "lastModifiedDate": "2019-08-24T14:15:22Z",
224 "archived": true,
225 "externalId": "string",
226 "id": 0,
227 "priority": 0,
228 "internalId": 0,
229 "pickListCode": "string",
230 "pickListLabel": "string",
231 "label": "string",
232 "cultureId": 0,
233 "labelDtos": [
234 {
235 "createdBy": "string",
236 "lastModifiedBy": "string",
237 "createdDate": "2019-08-24T14:15:22Z",
238 "lastModifiedDate": "2019-08-24T14:15:22Z",
239 "archived": true,
240 "externalId": "string",
241 "id": 0,
242 "cultureId": 0,
243 "value": "string"
244 }
245 ]
246 },
247 "category": {
248 "createdBy": "string",
249 "lastModifiedBy": "string",
250 "createdDate": "2019-08-24T14:15:22Z",
251 "lastModifiedDate": "2019-08-24T14:15:22Z",
252 "archived": true,
253 "externalId": "string",
254 "id": 0,
255 "priority": 0,
256 "internalId": 0,
257 "pickListCode": "string",
258 "pickListLabel": "string",
259 "label": "string",
260 "cultureId": 0,
261 "labelDtos": [
262 {
263 "createdBy": "string",
264 "lastModifiedBy": "string",
265 "createdDate": "2019-08-24T14:15:22Z",
266 "lastModifiedDate": "2019-08-24T14:15:22Z",
267 "archived": true,
268 "externalId": "string",
269 "id": 0,
270 "cultureId": 0,
271 "value": "string"
272 }
273 ]
274 },
275 "status": {
276 "createdBy": "string",
277 "lastModifiedBy": "string",
278 "createdDate": "2019-08-24T14:15:22Z",
279 "lastModifiedDate": "2019-08-24T14:15:22Z",
280 "archived": true,
281 "externalId": "string",
282 "id": 0,
283 "priority": 0,
284 "internalId": 0,
285 "pickListCode": "string",
286 "pickListLabel": "string",
287 "label": "string",
288 "cultureId": 0,
289 "labelDtos": [
290 {
291 "createdBy": "string",
292 "lastModifiedBy": "string",
293 "createdDate": "2019-08-24T14:15:22Z",
294 "lastModifiedDate": "2019-08-24T14:15:22Z",
295 "archived": true,
296 "externalId": "string",
297 "id": 0,
298 "cultureId": 0,
299 "value": "string"
300 }
301 ]
302 },
303 "state": {
304 "createdBy": "string",
305 "lastModifiedBy": "string",
306 "createdDate": "2019-08-24T14:15:22Z",
307 "lastModifiedDate": "2019-08-24T14:15:22Z",
308 "archived": true,
309 "externalId": "string",
310 "id": 0,
311 "priority": 0,
312 "internalId": 0,
313 "pickListCode": "string",
314 "pickListLabel": "string",
315 "label": "string",
316 "cultureId": 0,
317 "labelDtos": [
318 {
319 "createdBy": "string",
320 "lastModifiedBy": "string",
321 "createdDate": "2019-08-24T14:15:22Z",
322 "lastModifiedDate": "2019-08-24T14:15:22Z",
323 "archived": true,
324 "externalId": "string",
325 "id": 0,
326 "cultureId": 0,
327 "value": "string"
328 }
329 ]
330 },
331 "version": {
332 "createdBy": "string",
333 "lastModifiedBy": "string",
334 "createdDate": "2019-08-24T14:15:22Z",
335 "lastModifiedDate": "2019-08-24T14:15:22Z",
336 "archived": true,
337 "externalId": "string",
338 "id": 0,
339 "name": "string",
340 "description": "string",
341 "modificationDate": "2019-08-24",
342 "updateContractRate": true,
343 "leaseEvent": {
344 "createdBy": "string",
345 "lastModifiedBy": "string",
346 "createdDate": "2019-08-24T14:15:22Z",
347 "lastModifiedDate": "2019-08-24T14:15:22Z",
348 "archived": true,
349 "externalId": "string",
350 "id": 0,
351 "typeId": 0,
352 "code": "string",
353 "reviewedBy": "string",
354 "reviewedDate": "2019-08-24",
355 "reviewedStatusId": 0,
356 "activityDate": "2019-08-24",
357 "relatedPickListOptionId": 0,
358 "detail": "string",
359 "note": {
360 "createdBy": "string",
361 "lastModifiedBy": "string",
362 "createdDate": "2019-08-24T14:15:22Z",
363 "lastModifiedDate": "2019-08-24T14:15:22Z",
364 "archived": true,
365 "externalId": "string",
366 "id": 0,
367 "message": "string",
368 "preserveOriginalAudit": true,
369 "originalCreatedBy": "string",
370 "originalCreatedDate": "2019-08-24T14:15:22Z",
371 "originalLastModifiedBy": "string",
372 "originalLastModifiedDate": "2019-08-24T14:15:22Z"
373 },
374 "type": {
375 "createdBy": "string",
376 "lastModifiedBy": "string",
377 "createdDate": "2019-08-24T14:15:22Z",
378 "lastModifiedDate": "2019-08-24T14:15:22Z",
379 "archived": true,
380 "externalId": "string",
381 "id": 0,
382 "priority": 0,
383 "internalId": 0,
384 "pickListCode": "string",
385 "pickListLabel": "string",
386 "label": "string",
387 "cultureId": 0,
388 "labelDtos": [
389 {
390 "createdBy": "string",
391 "lastModifiedBy": "string",
392 "createdDate": "2019-08-24T14:15:22Z",
393 "lastModifiedDate": "2019-08-24T14:15:22Z",
394 "archived": true,
395 "externalId": "string",
396 "id": 0,
397 "cultureId": 0,
398 "value": "string"
399 }
400 ]
401 },
402 "reviewedStatus": {
403 "createdBy": "string",
404 "lastModifiedBy": "string",
405 "createdDate": "2019-08-24T14:15:22Z",
406 "lastModifiedDate": "2019-08-24T14:15:22Z",
407 "archived": true,
408 "externalId": "string",
409 "id": 0,
410 "priority": 0,
411 "internalId": 0,
412 "pickListCode": "string",
413 "pickListLabel": "string",
414 "label": "string",
415 "cultureId": 0,
416 "labelDtos": [
417 {
418 "createdBy": "string",
419 "lastModifiedBy": "string",
420 "createdDate": "2019-08-24T14:15:22Z",
421 "lastModifiedDate": "2019-08-24T14:15:22Z",
422 "archived": true,
423 "externalId": "string",
424 "id": 0,
425 "cultureId": 0,
426 "value": "string"
427 }
428 ]
429 },
430 "relatedPickListOption": {
431 "createdBy": "string",
432 "lastModifiedBy": "string",
433 "createdDate": "2019-08-24T14:15:22Z",
434 "lastModifiedDate": "2019-08-24T14:15:22Z",
435 "archived": true,
436 "externalId": "string",
437 "id": 0,
438 "priority": 0,
439 "internalId": 0,
440 "pickListCode": "string",
441 "pickListLabel": "string",
442 "label": "string",
443 "cultureId": 0,
444 "labelDtos": [
445 {
446 "createdBy": "string",
447 "lastModifiedBy": "string",
448 "createdDate": "2019-08-24T14:15:22Z",
449 "lastModifiedDate": "2019-08-24T14:15:22Z",
450 "archived": true,
451 "externalId": "string",
452 "id": 0,
453 "cultureId": 0,
454 "value": "string"
455 }
456 ]
457 },
458 "isVisiblePartnerPortal": true
459 },
460 "isVisibleVendorPortal": true,
461 "isTerminationVersion": true,
462 "terminationDate": "2019-08-24",
463 "penaltyAmount": 0.1,
464 "areasHistoryVersionId": 0
465 },
466 "premiseDto": {
467 "createdBy": "string",
468 "lastModifiedBy": "string",
469 "createdDate": "2019-08-24T14:15:22Z",
470 "lastModifiedDate": "2019-08-24T14:15:22Z",
471 "archived": true,
472 "externalId": "string",
473 "id": 0,
474 "number": "string",
475 "name": "string",
476 "headPremise": true,
477 "possessionDate": "2019-08-24",
478 "openingDate": "2019-08-24",
479 "closingDate": "2019-08-24",
480 "relocationDate": "2019-08-24",
481 "vacatingDate": "2019-08-24",
482 "expansionDate": "2019-08-24",
483 "statusId": 0,
484 "usageId": 0,
485 "parentPremiseId": 0,
486 "costCenterId": 0,
487 "profitCenterId": 0,
488 "legalEntityId": 0,
489 "occupancyIds": [
490 0
491 ],
492 "locationId": 0,
493 "locationDto": {
494 "createdBy": "string",
495 "lastModifiedBy": "string",
496 "createdDate": "2019-08-24T14:15:22Z",
497 "lastModifiedDate": "2019-08-24T14:15:22Z",
498 "archived": true,
499 "externalId": "string",
500 "id": 0,
501 "number": "string",
502 "name": "string",
503 "storeNumber": "string",
504 "defaultCurrencyId": 0,
505 "defaultMeasureId": 0,
506 "typeId": 0,
507 "qualityId": 0,
508 "propertyTypeId": 0,
509 "categoryId": 0,
510 "statusId": 0,
511 "businessUnitId": 0,
512 "groupIds": [
513 0
514 ],
515 "legalEntityIds": [
516 0
517 ],
518 "defaultCurrency": {
519 "id": 0,
520 "status": "CREATED",
521 "displayId": "string",
522 "erpSystemId": 0,
523 "erpSystemDisplayId": "string",
524 "name": "string",
525 "decimalPoints": 0,
526 "depreciationAreaId": 0
527 },
528 "defaultUnitValue": {
529 "createdBy": "string",
530 "lastModifiedBy": "string",
531 "createdDate": "2019-08-24T14:15:22Z",
532 "lastModifiedDate": "2019-08-24T14:15:22Z",
533 "archived": true,
534 "externalId": "string",
535 "id": 0,
536 "unitId": 0,
537 "unitOfMeasureId": 0,
538 "erpSystemId": 0,
539 "unit": {
540 "createdBy": "string",
541 "lastModifiedBy": "string",
542 "createdDate": "2019-08-24T14:15:22Z",
543 "lastModifiedDate": "2019-08-24T14:15:22Z",
544 "archived": true,
545 "externalId": "string",
546 "id": 0,
547 "priority": 0,
548 "internalId": 0,
549 "pickListCode": "string",
550 "pickListLabel": "string",
551 "label": "string",
552 "cultureId": 0,
553 "labelDtos": [
554 {
555 "createdBy": "string",
556 "lastModifiedBy": "string",
557 "createdDate": "2019-08-24T14:15:22Z",
558 "lastModifiedDate": "2019-08-24T14:15:22Z",
559 "archived": true,
560 "externalId": "string",
561 "id": 0,
562 "cultureId": 0,
563 "value": "string"
564 }
565 ]
566 },
567 "unitOfMeasure": {
568 "id": 0,
569 "status": "CREATED",
570 "displayId": "string",
571 "erpSystemId": 0,
572 "erpSystemDisplayId": "string",
573 "name": "string"
574 }
575 },
576 "type": {
577 "createdBy": "string",
578 "lastModifiedBy": "string",
579 "createdDate": "2019-08-24T14:15:22Z",
580 "lastModifiedDate": "2019-08-24T14:15:22Z",
581 "archived": true,
582 "externalId": "string",
583 "id": 0,
584 "priority": 0,
585 "internalId": 0,
586 "pickListCode": "string",
587 "pickListLabel": "string",
588 "label": "string",
589 "cultureId": 0,
590 "labelDtos": [
591 {
592 "createdBy": "string",
593 "lastModifiedBy": "string",
594 "createdDate": "2019-08-24T14:15:22Z",
595 "lastModifiedDate": "2019-08-24T14:15:22Z",
596 "archived": true,
597 "externalId": "string",
598 "id": 0,
599 "cultureId": 0,
600 "value": "string"
601 }
602 ]
603 },
604 "quality": {
605 "createdBy": "string",
606 "lastModifiedBy": "string",
607 "createdDate": "2019-08-24T14:15:22Z",
608 "lastModifiedDate": "2019-08-24T14:15:22Z",
609 "archived": true,
610 "externalId": "string",
611 "id": 0,
612 "priority": 0,
613 "internalId": 0,
614 "pickListCode": "string",
615 "pickListLabel": "string",
616 "label": "string",
617 "cultureId": 0,
618 "labelDtos": [
619 {
620 "createdBy": "string",
621 "lastModifiedBy": "string",
622 "createdDate": "2019-08-24T14:15:22Z",
623 "lastModifiedDate": "2019-08-24T14:15:22Z",
624 "archived": true,
625 "externalId": "string",
626 "id": 0,
627 "cultureId": 0,
628 "value": "string"
629 }
630 ]
631 },
632 "propertyType": {
633 "createdBy": "string",
634 "lastModifiedBy": "string",
635 "createdDate": "2019-08-24T14:15:22Z",
636 "lastModifiedDate": "2019-08-24T14:15:22Z",
637 "archived": true,
638 "externalId": "string",
639 "id": 0,
640 "priority": 0,
641 "internalId": 0,
642 "pickListCode": "string",
643 "pickListLabel": "string",
644 "label": "string",
645 "cultureId": 0,
646 "labelDtos": [
647 {
648 "createdBy": "string",
649 "lastModifiedBy": "string",
650 "createdDate": "2019-08-24T14:15:22Z",
651 "lastModifiedDate": "2019-08-24T14:15:22Z",
652 "archived": true,
653 "externalId": "string",
654 "id": 0,
655 "cultureId": 0,
656 "value": "string"
657 }
658 ]
659 },
660 "category": {
661 "createdBy": "string",
662 "lastModifiedBy": "string",
663 "createdDate": "2019-08-24T14:15:22Z",
664 "lastModifiedDate": "2019-08-24T14:15:22Z",
665 "archived": true,
666 "externalId": "string",
667 "id": 0,
668 "priority": 0,
669 "internalId": 0,
670 "pickListCode": "string",
671 "pickListLabel": "string",
672 "label": "string",
673 "cultureId": 0,
674 "labelDtos": [
675 {
676 "createdBy": "string",
677 "lastModifiedBy": "string",
678 "createdDate": "2019-08-24T14:15:22Z",
679 "lastModifiedDate": "2019-08-24T14:15:22Z",
680 "archived": true,
681 "externalId": "string",
682 "id": 0,
683 "cultureId": 0,
684 "value": "string"
685 }
686 ]
687 },
688 "status": {
689 "createdBy": "string",
690 "lastModifiedBy": "string",
691 "createdDate": "2019-08-24T14:15:22Z",
692 "lastModifiedDate": "2019-08-24T14:15:22Z",
693 "archived": true,
694 "externalId": "string",
695 "id": 0,
696 "priority": 0,
697 "internalId": 0,
698 "pickListCode": "string",
699 "pickListLabel": "string",
700 "label": "string",
701 "cultureId": 0,
702 "labelDtos": [
703 {
704 "createdBy": "string",
705 "lastModifiedBy": "string",
706 "createdDate": "2019-08-24T14:15:22Z",
707 "lastModifiedDate": "2019-08-24T14:15:22Z",
708 "archived": true,
709 "externalId": "string",
710 "id": 0,
711 "cultureId": 0,
712 "value": "string"
713 }
714 ]
715 },
716 "addressDto": {
717 "createdBy": "string",
718 "lastModifiedBy": "string",
719 "createdDate": "2019-08-24T14:15:22Z",
720 "lastModifiedDate": "2019-08-24T14:15:22Z",
721 "archived": true,
722 "externalId": "string",
723 "id": 0,
724 "street": "string",
725 "civicNumber": "string",
726 "suite": "string",
727 "postalCode": "string",
728 "lon": 0.1,
729 "lat": 0.1,
730 "city": {
731 "createdBy": "string",
732 "lastModifiedBy": "string",
733 "createdDate": "2019-08-24T14:15:22Z",
734 "lastModifiedDate": "2019-08-24T14:15:22Z",
735 "archived": true,
736 "externalId": "string",
737 "id": 0,
738 "name": "string",
739 "province": {
740 "createdBy": "string",
741 "lastModifiedBy": "string",
742 "createdDate": "2019-08-24T14:15:22Z",
743 "lastModifiedDate": "2019-08-24T14:15:22Z",
744 "archived": true,
745 "externalId": "string",
746 "id": 0,
747 "name": "string",
748 "code": "string",
749 "country": {
750 "createdBy": "string",
751 "lastModifiedBy": "string",
752 "createdDate": "2019-08-24T14:15:22Z",
753 "lastModifiedDate": "2019-08-24T14:15:22Z",
754 "archived": true,
755 "externalId": "string",
756 "id": 0,
757 "name": "string",
758 "code": "string"
759 },
760 "provinceCountryKey": "string"
761 },
762 "cityProvinceCountryKey": "string"
763 },
764 "district": {
765 "createdBy": "string",
766 "lastModifiedBy": "string",
767 "createdDate": "2019-08-24T14:15:22Z",
768 "lastModifiedDate": "2019-08-24T14:15:22Z",
769 "archived": true,
770 "externalId": "string",
771 "id": 0,
772 "name": "string",
773 "city": {
774 "createdBy": "string",
775 "lastModifiedBy": "string",
776 "createdDate": "2019-08-24T14:15:22Z",
777 "lastModifiedDate": "2019-08-24T14:15:22Z",
778 "archived": true,
779 "externalId": "string",
780 "id": 0,
781 "name": "string",
782 "province": {
783 "createdBy": "string",
784 "lastModifiedBy": "string",
785 "createdDate": "2019-08-24T14:15:22Z",
786 "lastModifiedDate": "2019-08-24T14:15:22Z",
787 "archived": true,
788 "externalId": "string",
789 "id": 0,
790 "name": "string",
791 "code": "string",
792 "country": {
793 "createdBy": "string",
794 "lastModifiedBy": "string",
795 "createdDate": "2019-08-24T14:15:22Z",
796 "lastModifiedDate": "2019-08-24T14:15:22Z",
797 "archived": true,
798 "externalId": "string",
799 "id": 0,
800 "name": "string",
801 "code": "string"
802 },
803 "provinceCountryKey": "string"
804 },
805 "cityProvinceCountryKey": "string"
806 }
807 },
808 "cityId": 0,
809 "districtId": 0
810 },
811 "secondAddressDto": {
812 "createdBy": "string",
813 "lastModifiedBy": "string",
814 "createdDate": "2019-08-24T14:15:22Z",
815 "lastModifiedDate": "2019-08-24T14:15:22Z",
816 "archived": true,
817 "externalId": "string",
818 "id": 0,
819 "street": "string",
820 "civicNumber": "string",
821 "suite": "string",
822 "postalCode": "string",
823 "lon": 0.1,
824 "lat": 0.1,
825 "city": {
826 "createdBy": "string",
827 "lastModifiedBy": "string",
828 "createdDate": "2019-08-24T14:15:22Z",
829 "lastModifiedDate": "2019-08-24T14:15:22Z",
830 "archived": true,
831 "externalId": "string",
832 "id": 0,
833 "name": "string",
834 "province": {
835 "createdBy": "string",
836 "lastModifiedBy": "string",
837 "createdDate": "2019-08-24T14:15:22Z",
838 "lastModifiedDate": "2019-08-24T14:15:22Z",
839 "archived": true,
840 "externalId": "string",
841 "id": 0,
842 "name": "string",
843 "code": "string",
844 "country": {
845 "createdBy": "string",
846 "lastModifiedBy": "string",
847 "createdDate": "2019-08-24T14:15:22Z",
848 "lastModifiedDate": "2019-08-24T14:15:22Z",
849 "archived": true,
850 "externalId": "string",
851 "id": 0,
852 "name": "string",
853 "code": "string"
854 },
855 "provinceCountryKey": "string"
856 },
857 "cityProvinceCountryKey": "string"
858 },
859 "district": {
860 "createdBy": "string",
861 "lastModifiedBy": "string",
862 "createdDate": "2019-08-24T14:15:22Z",
863 "lastModifiedDate": "2019-08-24T14:15:22Z",
864 "archived": true,
865 "externalId": "string",
866 "id": 0,
867 "name": "string",
868 "city": {
869 "createdBy": "string",
870 "lastModifiedBy": "string",
871 "createdDate": "2019-08-24T14:15:22Z",
872 "lastModifiedDate": "2019-08-24T14:15:22Z",
873 "archived": true,
874 "externalId": "string",
875 "id": 0,
876 "name": "string",
877 "province": {
878 "createdBy": "string",
879 "lastModifiedBy": "string",
880 "createdDate": "2019-08-24T14:15:22Z",
881 "lastModifiedDate": "2019-08-24T14:15:22Z",
882 "archived": true,
883 "externalId": "string",
884 "id": 0,
885 "name": "string",
886 "code": "string",
887 "country": {
888 "createdBy": "string",
889 "lastModifiedBy": "string",
890 "createdDate": "2019-08-24T14:15:22Z",
891 "lastModifiedDate": "2019-08-24T14:15:22Z",
892 "archived": true,
893 "externalId": "string",
894 "id": 0,
895 "name": "string",
896 "code": "string"
897 },
898 "provinceCountryKey": "string"
899 },
900 "cityProvinceCountryKey": "string"
901 }
902 },
903 "cityId": 0,
904 "districtId": 0
905 }
906 },
907 "status": {
908 "createdBy": "string",
909 "lastModifiedBy": "string",
910 "createdDate": "2019-08-24T14:15:22Z",
911 "lastModifiedDate": "2019-08-24T14:15:22Z",
912 "archived": true,
913 "externalId": "string",
914 "id": 0,
915 "priority": 0,
916 "internalId": 0,
917 "pickListCode": "string",
918 "pickListLabel": "string",
919 "label": "string",
920 "cultureId": 0,
921 "labelDtos": [
922 {
923 "createdBy": "string",
924 "lastModifiedBy": "string",
925 "createdDate": "2019-08-24T14:15:22Z",
926 "lastModifiedDate": "2019-08-24T14:15:22Z",
927 "archived": true,
928 "externalId": "string",
929 "id": 0,
930 "cultureId": 0,
931 "value": "string"
932 }
933 ]
934 },
935 "usage": {
936 "createdBy": "string",
937 "lastModifiedBy": "string",
938 "createdDate": "2019-08-24T14:15:22Z",
939 "lastModifiedDate": "2019-08-24T14:15:22Z",
940 "archived": true,
941 "externalId": "string",
942 "id": 0,
943 "priority": 0,
944 "internalId": 0,
945 "pickListCode": "string",
946 "pickListLabel": "string",
947 "label": "string",
948 "cultureId": 0,
949 "labelDtos": [
950 {
951 "createdBy": "string",
952 "lastModifiedBy": "string",
953 "createdDate": "2019-08-24T14:15:22Z",
954 "lastModifiedDate": "2019-08-24T14:15:22Z",
955 "archived": true,
956 "externalId": "string",
957 "id": 0,
958 "cultureId": 0,
959 "value": "string"
960 }
961 ]
962 },
963 "occupanciesDto": [
964 {
965 "createdBy": "string",
966 "lastModifiedBy": "string",
967 "createdDate": "2019-08-24T14:15:22Z",
968 "lastModifiedDate": "2019-08-24T14:15:22Z",
969 "archived": true,
970 "externalId": "string",
971 "id": 0,
972 "priority": 0,
973 "internalId": 0,
974 "pickListCode": "string",
975 "pickListLabel": "string",
976 "label": "string",
977 "cultureId": 0,
978 "labelDtos": [
979 {
980 "createdBy": "string",
981 "lastModifiedBy": "string",
982 "createdDate": "2019-08-24T14:15:22Z",
983 "lastModifiedDate": "2019-08-24T14:15:22Z",
984 "archived": true,
985 "externalId": "string",
986 "id": 0,
987 "cultureId": 0,
988 "value": "string"
989 }
990 ]
991 }
992 ]
993 },
994 "isTerminationVersion": true
995 }
996 }
997}
Critical Clause - Delete Critical Clause¶
HTTP Request
DELETE /api/critical-clauses/{id}
📋 Description: Deletes a specified critical clause from the Nakisa Portfolio Management Suite, ensuring the integrity of portfolio and asset analytics related to real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
204 |
No Content |
None |
Critical Clause - Add Critical Clause Notes¶
HTTP Request
POST /api/critical-clauses/{id}/notes
📋 Description: Adds a note to the specified critical clause within the Nakisa Portfolio Management Suite, enhancing asset documentation and facilitating better analytics for real estate property management.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing notes related to the specified critical clause, including relevant commentary and metadata for effective portfolio and asset management within the Nakisa Portfolio Management Suite. |
Body Parameters
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "message": "string",
11 "userIds": [
12 0
13 ],
14 "redirectUrl": "string"
15 }
16]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
Inline |
Example Responses
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "message": "string",
11 "userIds": [
12 0
13 ],
14 "redirectUrl": "string"
15 }
16]
Response Schema
Status Code 201
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing a note associated with portfolio management, asset analytics, and real estate properties, facilitating effective communication and documentation within the Nakisa Portfolio Management Suite.] |
|
» createdBy |
string |
false |
none |
Username of who created this resource |
» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
» createdDate |
string(date-time) |
false |
none |
Date of the created |
» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
» externalId |
string |
false |
none |
Unique identifier for the external |
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» message |
string |
true |
none |
Textual content providing detailed information or commentary related to the portfolio, asset, or real estate property within the Nakisa Portfolio Management Suite. |
» userIds |
[integer] |
false |
none |
User information related to portfolio management |
» redirectUrl |
string |
false |
none |
URL to which users will be redirected after completing a specific action within the Nakisa Portfolio Management Suite, facilitating seamless navigation in the context of portfolio, asset, and real estate property management. |
Critical Clause - Archive Critical Clause¶
HTTP Request
POST /api/critical-clauses/{id}/archive
📋 Description: Archives a specified critical clause within the Nakisa Portfolio Management Suite, facilitating effective portfolio and asset management by ensuring that outdated or irrelevant clauses are systematically removed from active consideration.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "rentTypeId": 0,
10 "increaseTypeId": 0,
11 "exercisedId": 0,
12 "exerciseMethodId": 0,
13 "parentId": 0,
14 "pageNumber": "string",
15 "section": "string",
16 "rentOrCost": 0,
17 "noticeNumberOfDays": 0,
18 "startDate": "2019-08-24",
19 "endDate": "2019-08-24",
20 "earlyNotice": "2019-08-24",
21 "latestNotice": "2019-08-24",
22 "notificationDate": "2019-08-24",
23 "exerciseMethod": {
24 "createdBy": "string",
25 "lastModifiedBy": "string",
26 "createdDate": "2019-08-24T14:15:22Z",
27 "lastModifiedDate": "2019-08-24T14:15:22Z",
28 "archived": true,
29 "externalId": "string",
30 "id": 0,
31 "priority": 0,
32 "internalId": 0,
33 "pickListCode": "string",
34 "pickListLabel": "string",
35 "label": "string",
36 "cultureId": 0,
37 "labelDtos": [
38 {
39 "createdBy": "string",
40 "lastModifiedBy": "string",
41 "createdDate": "2019-08-24T14:15:22Z",
42 "lastModifiedDate": "2019-08-24T14:15:22Z",
43 "archived": true,
44 "externalId": "string",
45 "id": 0,
46 "cultureId": 0,
47 "value": "string"
48 }
49 ]
50 },
51 "rentType": {
52 "createdBy": "string",
53 "lastModifiedBy": "string",
54 "createdDate": "2019-08-24T14:15:22Z",
55 "lastModifiedDate": "2019-08-24T14:15:22Z",
56 "archived": true,
57 "externalId": "string",
58 "id": 0,
59 "priority": 0,
60 "internalId": 0,
61 "pickListCode": "string",
62 "pickListLabel": "string",
63 "label": "string",
64 "cultureId": 0,
65 "labelDtos": [
66 {
67 "createdBy": "string",
68 "lastModifiedBy": "string",
69 "createdDate": "2019-08-24T14:15:22Z",
70 "lastModifiedDate": "2019-08-24T14:15:22Z",
71 "archived": true,
72 "externalId": "string",
73 "id": 0,
74 "cultureId": 0,
75 "value": "string"
76 }
77 ]
78 },
79 "increaseType": {
80 "createdBy": "string",
81 "lastModifiedBy": "string",
82 "createdDate": "2019-08-24T14:15:22Z",
83 "lastModifiedDate": "2019-08-24T14:15:22Z",
84 "archived": true,
85 "externalId": "string",
86 "id": 0,
87 "priority": 0,
88 "internalId": 0,
89 "pickListCode": "string",
90 "pickListLabel": "string",
91 "label": "string",
92 "cultureId": 0,
93 "labelDtos": [
94 {
95 "createdBy": "string",
96 "lastModifiedBy": "string",
97 "createdDate": "2019-08-24T14:15:22Z",
98 "lastModifiedDate": "2019-08-24T14:15:22Z",
99 "archived": true,
100 "externalId": "string",
101 "id": 0,
102 "cultureId": 0,
103 "value": "string"
104 }
105 ]
106 },
107 "exercised": {
108 "createdBy": "string",
109 "lastModifiedBy": "string",
110 "createdDate": "2019-08-24T14:15:22Z",
111 "lastModifiedDate": "2019-08-24T14:15:22Z",
112 "archived": true,
113 "externalId": "string",
114 "id": 0,
115 "priority": 0,
116 "internalId": 0,
117 "pickListCode": "string",
118 "pickListLabel": "string",
119 "label": "string",
120 "cultureId": 0,
121 "labelDtos": [
122 {
123 "createdBy": "string",
124 "lastModifiedBy": "string",
125 "createdDate": "2019-08-24T14:15:22Z",
126 "lastModifiedDate": "2019-08-24T14:15:22Z",
127 "archived": true,
128 "externalId": "string",
129 "id": 0,
130 "cultureId": 0,
131 "value": "string"
132 }
133 ]
134 },
135 "leaseCriticalClauseTypeId": 0,
136 "leaseCriticalClauseTypeDto": {
137 "createdBy": "string",
138 "lastModifiedBy": "string",
139 "createdDate": "2019-08-24T14:15:22Z",
140 "lastModifiedDate": "2019-08-24T14:15:22Z",
141 "archived": true,
142 "externalId": "string",
143 "id": 0,
144 "typeId": 0,
145 "notApplicable": true,
146 "type": {
147 "createdBy": "string",
148 "lastModifiedBy": "string",
149 "createdDate": "2019-08-24T14:15:22Z",
150 "lastModifiedDate": "2019-08-24T14:15:22Z",
151 "archived": true,
152 "externalId": "string",
153 "id": 0,
154 "priority": 0,
155 "internalId": 0,
156 "pickListCode": "string",
157 "pickListLabel": "string",
158 "label": "string",
159 "cultureId": 0,
160 "labelDtos": [
161 {
162 "createdBy": "string",
163 "lastModifiedBy": "string",
164 "createdDate": "2019-08-24T14:15:22Z",
165 "lastModifiedDate": "2019-08-24T14:15:22Z",
166 "archived": true,
167 "externalId": "string",
168 "id": 0,
169 "cultureId": 0,
170 "value": "string"
171 }
172 ]
173 },
174 "leaseId": 0,
175 "leaseDto": {
176 "createdBy": "string",
177 "lastModifiedBy": "string",
178 "createdDate": "2019-08-24T14:15:22Z",
179 "lastModifiedDate": "2019-08-24T14:15:22Z",
180 "archived": true,
181 "externalId": "string",
182 "id": 0,
183 "typeId": 0,
184 "terminatingLease": "2019-08-24",
185 "maximumDateTo": "2019-08-24",
186 "number": "string",
187 "validFrom": "2019-08-24",
188 "validTo": "2019-08-24",
189 "categoryId": 0,
190 "registrationNumber": "string",
191 "statusId": 0,
192 "stateId": 0,
193 "calculateTax": true,
194 "autoMonthToMonth": true,
195 "originalLeaseId": 0,
196 "scenario": true,
197 "parentLeaseId": 0,
198 "areasHistoryVersionId": 0,
199 "provisioningFrequencyName": "string",
200 "accountingApproved": true,
201 "indexationType": "string",
202 "cpiGlobalCategoryId": 0,
203 "indexationReferenceDate": "2019-08-24",
204 "currentIndexLevel": 0.1,
205 "conditionallyIndexed": true,
206 "applicableCurrentIndexLevel": 0.1,
207 "indexLevelPercentageChangeLowerBound": 0.1,
208 "indexLevelPercentageChangeUpperBound": 0.1,
209 "indexationTypeNonLease": "string",
210 "cpiGlobalCategoryIdNonLease": 0,
211 "indexationReferenceDateNonLease": "2019-08-24",
212 "currentIndexLevelNonLease": 0.1,
213 "conditionallyIndexedNonLease": true,
214 "applicableCurrentIndexLevelNonLease": 0.1,
215 "indexLevelPercentageChangeLowerBoundNonLease": 0.1,
216 "indexLevelPercentageChangeUpperBoundNonLease": 0.1,
217 "signatureDate": "2019-08-24",
218 "premiseId": 0,
219 "type": {
220 "createdBy": "string",
221 "lastModifiedBy": "string",
222 "createdDate": "2019-08-24T14:15:22Z",
223 "lastModifiedDate": "2019-08-24T14:15:22Z",
224 "archived": true,
225 "externalId": "string",
226 "id": 0,
227 "priority": 0,
228 "internalId": 0,
229 "pickListCode": "string",
230 "pickListLabel": "string",
231 "label": "string",
232 "cultureId": 0,
233 "labelDtos": [
234 {
235 "createdBy": "string",
236 "lastModifiedBy": "string",
237 "createdDate": "2019-08-24T14:15:22Z",
238 "lastModifiedDate": "2019-08-24T14:15:22Z",
239 "archived": true,
240 "externalId": "string",
241 "id": 0,
242 "cultureId": 0,
243 "value": "string"
244 }
245 ]
246 },
247 "category": {
248 "createdBy": "string",
249 "lastModifiedBy": "string",
250 "createdDate": "2019-08-24T14:15:22Z",
251 "lastModifiedDate": "2019-08-24T14:15:22Z",
252 "archived": true,
253 "externalId": "string",
254 "id": 0,
255 "priority": 0,
256 "internalId": 0,
257 "pickListCode": "string",
258 "pickListLabel": "string",
259 "label": "string",
260 "cultureId": 0,
261 "labelDtos": [
262 {
263 "createdBy": "string",
264 "lastModifiedBy": "string",
265 "createdDate": "2019-08-24T14:15:22Z",
266 "lastModifiedDate": "2019-08-24T14:15:22Z",
267 "archived": true,
268 "externalId": "string",
269 "id": 0,
270 "cultureId": 0,
271 "value": "string"
272 }
273 ]
274 },
275 "status": {
276 "createdBy": "string",
277 "lastModifiedBy": "string",
278 "createdDate": "2019-08-24T14:15:22Z",
279 "lastModifiedDate": "2019-08-24T14:15:22Z",
280 "archived": true,
281 "externalId": "string",
282 "id": 0,
283 "priority": 0,
284 "internalId": 0,
285 "pickListCode": "string",
286 "pickListLabel": "string",
287 "label": "string",
288 "cultureId": 0,
289 "labelDtos": [
290 {
291 "createdBy": "string",
292 "lastModifiedBy": "string",
293 "createdDate": "2019-08-24T14:15:22Z",
294 "lastModifiedDate": "2019-08-24T14:15:22Z",
295 "archived": true,
296 "externalId": "string",
297 "id": 0,
298 "cultureId": 0,
299 "value": "string"
300 }
301 ]
302 },
303 "state": {
304 "createdBy": "string",
305 "lastModifiedBy": "string",
306 "createdDate": "2019-08-24T14:15:22Z",
307 "lastModifiedDate": "2019-08-24T14:15:22Z",
308 "archived": true,
309 "externalId": "string",
310 "id": 0,
311 "priority": 0,
312 "internalId": 0,
313 "pickListCode": "string",
314 "pickListLabel": "string",
315 "label": "string",
316 "cultureId": 0,
317 "labelDtos": [
318 {
319 "createdBy": "string",
320 "lastModifiedBy": "string",
321 "createdDate": "2019-08-24T14:15:22Z",
322 "lastModifiedDate": "2019-08-24T14:15:22Z",
323 "archived": true,
324 "externalId": "string",
325 "id": 0,
326 "cultureId": 0,
327 "value": "string"
328 }
329 ]
330 },
331 "version": {
332 "createdBy": "string",
333 "lastModifiedBy": "string",
334 "createdDate": "2019-08-24T14:15:22Z",
335 "lastModifiedDate": "2019-08-24T14:15:22Z",
336 "archived": true,
337 "externalId": "string",
338 "id": 0,
339 "name": "string",
340 "description": "string",
341 "modificationDate": "2019-08-24",
342 "updateContractRate": true,
343 "leaseEvent": {
344 "createdBy": "string",
345 "lastModifiedBy": "string",
346 "createdDate": "2019-08-24T14:15:22Z",
347 "lastModifiedDate": "2019-08-24T14:15:22Z",
348 "archived": true,
349 "externalId": "string",
350 "id": 0,
351 "typeId": 0,
352 "code": "string",
353 "reviewedBy": "string",
354 "reviewedDate": "2019-08-24",
355 "reviewedStatusId": 0,
356 "activityDate": "2019-08-24",
357 "relatedPickListOptionId": 0,
358 "detail": "string",
359 "note": {
360 "createdBy": "string",
361 "lastModifiedBy": "string",
362 "createdDate": "2019-08-24T14:15:22Z",
363 "lastModifiedDate": "2019-08-24T14:15:22Z",
364 "archived": true,
365 "externalId": "string",
366 "id": 0,
367 "message": "string",
368 "preserveOriginalAudit": true,
369 "originalCreatedBy": "string",
370 "originalCreatedDate": "2019-08-24T14:15:22Z",
371 "originalLastModifiedBy": "string",
372 "originalLastModifiedDate": "2019-08-24T14:15:22Z"
373 },
374 "type": {
375 "createdBy": "string",
376 "lastModifiedBy": "string",
377 "createdDate": "2019-08-24T14:15:22Z",
378 "lastModifiedDate": "2019-08-24T14:15:22Z",
379 "archived": true,
380 "externalId": "string",
381 "id": 0,
382 "priority": 0,
383 "internalId": 0,
384 "pickListCode": "string",
385 "pickListLabel": "string",
386 "label": "string",
387 "cultureId": 0,
388 "labelDtos": [
389 {
390 "createdBy": "string",
391 "lastModifiedBy": "string",
392 "createdDate": "2019-08-24T14:15:22Z",
393 "lastModifiedDate": "2019-08-24T14:15:22Z",
394 "archived": true,
395 "externalId": "string",
396 "id": 0,
397 "cultureId": 0,
398 "value": "string"
399 }
400 ]
401 },
402 "reviewedStatus": {
403 "createdBy": "string",
404 "lastModifiedBy": "string",
405 "createdDate": "2019-08-24T14:15:22Z",
406 "lastModifiedDate": "2019-08-24T14:15:22Z",
407 "archived": true,
408 "externalId": "string",
409 "id": 0,
410 "priority": 0,
411 "internalId": 0,
412 "pickListCode": "string",
413 "pickListLabel": "string",
414 "label": "string",
415 "cultureId": 0,
416 "labelDtos": [
417 {
418 "createdBy": "string",
419 "lastModifiedBy": "string",
420 "createdDate": "2019-08-24T14:15:22Z",
421 "lastModifiedDate": "2019-08-24T14:15:22Z",
422 "archived": true,
423 "externalId": "string",
424 "id": 0,
425 "cultureId": 0,
426 "value": "string"
427 }
428 ]
429 },
430 "relatedPickListOption": {
431 "createdBy": "string",
432 "lastModifiedBy": "string",
433 "createdDate": "2019-08-24T14:15:22Z",
434 "lastModifiedDate": "2019-08-24T14:15:22Z",
435 "archived": true,
436 "externalId": "string",
437 "id": 0,
438 "priority": 0,
439 "internalId": 0,
440 "pickListCode": "string",
441 "pickListLabel": "string",
442 "label": "string",
443 "cultureId": 0,
444 "labelDtos": [
445 {
446 "createdBy": "string",
447 "lastModifiedBy": "string",
448 "createdDate": "2019-08-24T14:15:22Z",
449 "lastModifiedDate": "2019-08-24T14:15:22Z",
450 "archived": true,
451 "externalId": "string",
452 "id": 0,
453 "cultureId": 0,
454 "value": "string"
455 }
456 ]
457 },
458 "isVisiblePartnerPortal": true
459 },
460 "isVisibleVendorPortal": true,
461 "isTerminationVersion": true,
462 "terminationDate": "2019-08-24",
463 "penaltyAmount": 0.1,
464 "areasHistoryVersionId": 0
465 },
466 "premiseDto": {
467 "createdBy": "string",
468 "lastModifiedBy": "string",
469 "createdDate": "2019-08-24T14:15:22Z",
470 "lastModifiedDate": "2019-08-24T14:15:22Z",
471 "archived": true,
472 "externalId": "string",
473 "id": 0,
474 "number": "string",
475 "name": "string",
476 "headPremise": true,
477 "possessionDate": "2019-08-24",
478 "openingDate": "2019-08-24",
479 "closingDate": "2019-08-24",
480 "relocationDate": "2019-08-24",
481 "vacatingDate": "2019-08-24",
482 "expansionDate": "2019-08-24",
483 "statusId": 0,
484 "usageId": 0,
485 "parentPremiseId": 0,
486 "costCenterId": 0,
487 "profitCenterId": 0,
488 "legalEntityId": 0,
489 "occupancyIds": [
490 0
491 ],
492 "locationId": 0,
493 "locationDto": {
494 "createdBy": "string",
495 "lastModifiedBy": "string",
496 "createdDate": "2019-08-24T14:15:22Z",
497 "lastModifiedDate": "2019-08-24T14:15:22Z",
498 "archived": true,
499 "externalId": "string",
500 "id": 0,
501 "number": "string",
502 "name": "string",
503 "storeNumber": "string",
504 "defaultCurrencyId": 0,
505 "defaultMeasureId": 0,
506 "typeId": 0,
507 "qualityId": 0,
508 "propertyTypeId": 0,
509 "categoryId": 0,
510 "statusId": 0,
511 "businessUnitId": 0,
512 "groupIds": [
513 0
514 ],
515 "legalEntityIds": [
516 0
517 ],
518 "defaultCurrency": {
519 "id": 0,
520 "status": "CREATED",
521 "displayId": "string",
522 "erpSystemId": 0,
523 "erpSystemDisplayId": "string",
524 "name": "string",
525 "decimalPoints": 0,
526 "depreciationAreaId": 0
527 },
528 "defaultUnitValue": {
529 "createdBy": "string",
530 "lastModifiedBy": "string",
531 "createdDate": "2019-08-24T14:15:22Z",
532 "lastModifiedDate": "2019-08-24T14:15:22Z",
533 "archived": true,
534 "externalId": "string",
535 "id": 0,
536 "unitId": 0,
537 "unitOfMeasureId": 0,
538 "erpSystemId": 0,
539 "unit": {
540 "createdBy": "string",
541 "lastModifiedBy": "string",
542 "createdDate": "2019-08-24T14:15:22Z",
543 "lastModifiedDate": "2019-08-24T14:15:22Z",
544 "archived": true,
545 "externalId": "string",
546 "id": 0,
547 "priority": 0,
548 "internalId": 0,
549 "pickListCode": "string",
550 "pickListLabel": "string",
551 "label": "string",
552 "cultureId": 0,
553 "labelDtos": [
554 {
555 "createdBy": "string",
556 "lastModifiedBy": "string",
557 "createdDate": "2019-08-24T14:15:22Z",
558 "lastModifiedDate": "2019-08-24T14:15:22Z",
559 "archived": true,
560 "externalId": "string",
561 "id": 0,
562 "cultureId": 0,
563 "value": "string"
564 }
565 ]
566 },
567 "unitOfMeasure": {
568 "id": 0,
569 "status": "CREATED",
570 "displayId": "string",
571 "erpSystemId": 0,
572 "erpSystemDisplayId": "string",
573 "name": "string"
574 }
575 },
576 "type": {
577 "createdBy": "string",
578 "lastModifiedBy": "string",
579 "createdDate": "2019-08-24T14:15:22Z",
580 "lastModifiedDate": "2019-08-24T14:15:22Z",
581 "archived": true,
582 "externalId": "string",
583 "id": 0,
584 "priority": 0,
585 "internalId": 0,
586 "pickListCode": "string",
587 "pickListLabel": "string",
588 "label": "string",
589 "cultureId": 0,
590 "labelDtos": [
591 {
592 "createdBy": "string",
593 "lastModifiedBy": "string",
594 "createdDate": "2019-08-24T14:15:22Z",
595 "lastModifiedDate": "2019-08-24T14:15:22Z",
596 "archived": true,
597 "externalId": "string",
598 "id": 0,
599 "cultureId": 0,
600 "value": "string"
601 }
602 ]
603 },
604 "quality": {
605 "createdBy": "string",
606 "lastModifiedBy": "string",
607 "createdDate": "2019-08-24T14:15:22Z",
608 "lastModifiedDate": "2019-08-24T14:15:22Z",
609 "archived": true,
610 "externalId": "string",
611 "id": 0,
612 "priority": 0,
613 "internalId": 0,
614 "pickListCode": "string",
615 "pickListLabel": "string",
616 "label": "string",
617 "cultureId": 0,
618 "labelDtos": [
619 {
620 "createdBy": "string",
621 "lastModifiedBy": "string",
622 "createdDate": "2019-08-24T14:15:22Z",
623 "lastModifiedDate": "2019-08-24T14:15:22Z",
624 "archived": true,
625 "externalId": "string",
626 "id": 0,
627 "cultureId": 0,
628 "value": "string"
629 }
630 ]
631 },
632 "propertyType": {
633 "createdBy": "string",
634 "lastModifiedBy": "string",
635 "createdDate": "2019-08-24T14:15:22Z",
636 "lastModifiedDate": "2019-08-24T14:15:22Z",
637 "archived": true,
638 "externalId": "string",
639 "id": 0,
640 "priority": 0,
641 "internalId": 0,
642 "pickListCode": "string",
643 "pickListLabel": "string",
644 "label": "string",
645 "cultureId": 0,
646 "labelDtos": [
647 {
648 "createdBy": "string",
649 "lastModifiedBy": "string",
650 "createdDate": "2019-08-24T14:15:22Z",
651 "lastModifiedDate": "2019-08-24T14:15:22Z",
652 "archived": true,
653 "externalId": "string",
654 "id": 0,
655 "cultureId": 0,
656 "value": "string"
657 }
658 ]
659 },
660 "category": {
661 "createdBy": "string",
662 "lastModifiedBy": "string",
663 "createdDate": "2019-08-24T14:15:22Z",
664 "lastModifiedDate": "2019-08-24T14:15:22Z",
665 "archived": true,
666 "externalId": "string",
667 "id": 0,
668 "priority": 0,
669 "internalId": 0,
670 "pickListCode": "string",
671 "pickListLabel": "string",
672 "label": "string",
673 "cultureId": 0,
674 "labelDtos": [
675 {
676 "createdBy": "string",
677 "lastModifiedBy": "string",
678 "createdDate": "2019-08-24T14:15:22Z",
679 "lastModifiedDate": "2019-08-24T14:15:22Z",
680 "archived": true,
681 "externalId": "string",
682 "id": 0,
683 "cultureId": 0,
684 "value": "string"
685 }
686 ]
687 },
688 "status": {
689 "createdBy": "string",
690 "lastModifiedBy": "string",
691 "createdDate": "2019-08-24T14:15:22Z",
692 "lastModifiedDate": "2019-08-24T14:15:22Z",
693 "archived": true,
694 "externalId": "string",
695 "id": 0,
696 "priority": 0,
697 "internalId": 0,
698 "pickListCode": "string",
699 "pickListLabel": "string",
700 "label": "string",
701 "cultureId": 0,
702 "labelDtos": [
703 {
704 "createdBy": "string",
705 "lastModifiedBy": "string",
706 "createdDate": "2019-08-24T14:15:22Z",
707 "lastModifiedDate": "2019-08-24T14:15:22Z",
708 "archived": true,
709 "externalId": "string",
710 "id": 0,
711 "cultureId": 0,
712 "value": "string"
713 }
714 ]
715 },
716 "addressDto": {
717 "createdBy": "string",
718 "lastModifiedBy": "string",
719 "createdDate": "2019-08-24T14:15:22Z",
720 "lastModifiedDate": "2019-08-24T14:15:22Z",
721 "archived": true,
722 "externalId": "string",
723 "id": 0,
724 "street": "string",
725 "civicNumber": "string",
726 "suite": "string",
727 "postalCode": "string",
728 "lon": 0.1,
729 "lat": 0.1,
730 "city": {
731 "createdBy": "string",
732 "lastModifiedBy": "string",
733 "createdDate": "2019-08-24T14:15:22Z",
734 "lastModifiedDate": "2019-08-24T14:15:22Z",
735 "archived": true,
736 "externalId": "string",
737 "id": 0,
738 "name": "string",
739 "province": {
740 "createdBy": "string",
741 "lastModifiedBy": "string",
742 "createdDate": "2019-08-24T14:15:22Z",
743 "lastModifiedDate": "2019-08-24T14:15:22Z",
744 "archived": true,
745 "externalId": "string",
746 "id": 0,
747 "name": "string",
748 "code": "string",
749 "country": {
750 "createdBy": "string",
751 "lastModifiedBy": "string",
752 "createdDate": "2019-08-24T14:15:22Z",
753 "lastModifiedDate": "2019-08-24T14:15:22Z",
754 "archived": true,
755 "externalId": "string",
756 "id": 0,
757 "name": "string",
758 "code": "string"
759 },
760 "provinceCountryKey": "string"
761 },
762 "cityProvinceCountryKey": "string"
763 },
764 "district": {
765 "createdBy": "string",
766 "lastModifiedBy": "string",
767 "createdDate": "2019-08-24T14:15:22Z",
768 "lastModifiedDate": "2019-08-24T14:15:22Z",
769 "archived": true,
770 "externalId": "string",
771 "id": 0,
772 "name": "string",
773 "city": {
774 "createdBy": "string",
775 "lastModifiedBy": "string",
776 "createdDate": "2019-08-24T14:15:22Z",
777 "lastModifiedDate": "2019-08-24T14:15:22Z",
778 "archived": true,
779 "externalId": "string",
780 "id": 0,
781 "name": "string",
782 "province": {
783 "createdBy": "string",
784 "lastModifiedBy": "string",
785 "createdDate": "2019-08-24T14:15:22Z",
786 "lastModifiedDate": "2019-08-24T14:15:22Z",
787 "archived": true,
[...]
